// HBPrintPDF
//
// Version 1.00  BETA 5

#include "Xbp.ch"
#include "gra.ch"
#include "Common.ch"
#include "ot4xb.ch"
#include "HBPrintPDF.CH"

//***********************************************************************
//
// deutsch / german
//
// HB_PrintPDF ist freeware und darf ohne Einschrnkung verwendet werden.
//
// bentigt          QuickPdf DLL >= QuickPDFDLL0718.dll ff.
//            Lizenzschlssel von    www.QuickPDF.com
//
//                      OT4XB.DLL >= 001.005.012.021   from   www.xbwin.com
//
// Ohne Pablo Botella Navaro und seine OT4XB wre dies nicht mglich gewesen.
// Ich habe die Methoden aus seiner TQuickPdf wrapper class kopiert und
// nur die Rckgabewerte angepasst wo es ntig war. Das hat viel Zeit gespart.
// *HB* markiert genderte TQuickPdf Methoden
//------------------------------------------------------------
//  TQuickPdf wrapper class over the QuickPDFDLL0718.dll
//        -> http://www.quickpdflibrary.com
//  Author: Pablo Botella Navarro ( http://www.xbwin.com ) -
//        -> http://www.xbwin.com.php?ng=/ot4xb.examples/36
//------------------------------------------------------------
//
// WICHTIG ! Es gilt die Beschreibung der DLL mit folgenden Ausnahmen:
//           1. Der Parameter InstanceID wird intern verwendet, also NIE angeben.
//           2. Die Namen der Methoden entsprechen denen der ActiveX Beschreibung,
//              enthalten also NICHT den Vorsatz   QuickPDF... siehe unten
//           3. In Basic und Delphi wird in IF Abfragen eine 0 als .f.
//              und <> 0 als .t. verarbeitet. Wenn eine Methode diesen
//              QuickPDF Rckgabewert nicht von numerisch auf logisch umsetzt,
//              muss man o:IsFalse(...) und o:IsTrue(...) verwenden.
//              Beispiel:   if o:IsTrue(o:QuickPDFFunction()) entspricht o:QuickPDFFunction()#0
//              Ich werde die logischen Rckgabewerte einbauen, aber
//              man ist auf der sicheren Seite wenn man die Methoden
//              :IsFalse(...) und :IsTrue(...) verwendet, dann stimmt es immer.
//
//***********************************************************************
//
// englisch / english
//
// needs             QuickPdf DLL >= QuickPDFDLL0718.dll ff.
//               Licence key from    www.QuickPDF.com
//
//                      OT4XB.DLL >= 001.005.012.021   from   www.xbwin.com
//
// HB_PrintPDF is freeware.
//
// Thanks to Pablo Botella Navaro and his OT4XB and the TQuickPdf wrapper class
// I used his methods to save time and changed the return values where
// we need arrays or logical return values.
// *HB* will mark the changed TQuickPdf Methods
//------------------------------------------------------------
//  TQuickPdf wrapper class over the QuickPDFDLL0718.dll
//        -> http://www.quickpdflibrary.com
//  Author: Pablo Botella Navarro ( http://www.xbwin.com ) -
//        -> http://www.xbwin.com/forum.php?ng=/ot4xb.examples/36
//------------------------------------------------------------
//
// IMPORTANT !  Please use the quickpdf reference guide (PDF) for info and help.
//              These things are different:
//           1. Ignore the parameter InstanceID, the class will handle it inside.
//           2. The method names are the same as those from ActiveX
//              No leading QuickPDF... just use the function name. See the code ...
//           3. Basic and Delphi use numeric parameters instead of logical in Xbase
//              IF 0 is .f., and IF <> 0 is .t.
//              If the method in this class does not change the return value, you
//              have to use these methods:     o:IsFalse(...) or IF o:IsTrue(...)
//              Example:  if o:IsTrue(o:QuickPDFFunction()) is equal to o:QuickPDFFunction()#0
//              I will change the return values to logical, but
//              :IsFalse(...) and :IsTrue(...) will handle both, see the code below ...
//


/* Beispiel / Example

   cQuickPDFKey := "............." or read from .CH

   // Standard DLL von TQuickPdf                // use the standard DLL from TQuickPdf
   oHBPrintPDF  := HBPrintPDF():new():create(cQuickPDFKey)
   if oHBPrintPDF:IsOK                          **** wichtig ! Important
      ...

   // oder eigene festlegen                     // or define your own DLL
   oHBPrintPDF  := HBPrintPDF():new()
   oHBPrintPDF:cDLLName := "QuickPDFDLL????.dll" // TESTED:  QuickPDFDLL0718.dll
   ...
   oHBPrintPDF:create(cQuickPDFKey)
   if oHBPrintPDF:IsOK                          **** wichtig ! Important
      oHBPrintPDF:DrawText(20,30, "Hello world with HBPrintPDF (QuickPDF)")
      // Speichern, SAVE ?
      oHBPrintPDF:SaveToFile(cPfad+cPDF)
      // Drucken, Printing ?
      oHBPrintPDF:PrintDocument(cPrinterName, 1, oHBPrintPDF:PageCount())
      // Variablen zurcksetzen, aber QuickPDF wird erst beim Programmende entladen.
      // Reset vars, but the QuickPDF will not give back the memory until EXE quits.
      oHBPrintPDF:destroy()
   endif

   Have fun :-)

   Hubert

*/

*---------------------------------------------------

CLASS HBPrintPDF

   PROTECTED

   VAR    nLineFeed             // method LineFeed(6) -> 6 * nLineFeed = Zeilenvorschub - line feed
                                // nLineFeed wird mit dem Standardabstand des aktuellen Font geladen !
                                //  "        will be set to the font hight of the standard font
                                // ->  ::SetTextSize()  ->  ::nLineFeed  in mm, points or inch
   VAR    nLPI, nCPI
   VAR    nAlign                // speichert aktuelle Ausrichtung, save the current Alignment
   VAR    _hdll_                // DLL handle
   VAR    _id_                  // InstanceID
   VAR    nPageNo               // internal Pagenumber !
   VAR    aImageID              // Array zum Speichern von ImagesID und Name (z.B. Dateiname)
                                // array to save ImageID and name
   VAR    nOldTextColorRed, nOldTextColorGreen, nOldTextColorBlue  // SetTextColor() -> save 1 Time !


   METHOD nRowToPosY, nColToPosX


   EXPORTED

   VAR IsOK                     // *** Nach Create testen  // TEST after Create !!!

   VAR cErrorLanguage, cErrorNoInstance, cErrorLoadDll, cErrorNoLicenseOK, cErrorNoLicenseKey, cErrorNotMinVerOT4XB

   VAR cQuickPdfDllName
   VAR nDefaultPageSize
   VAR nDefaultMeasurementUnits
   VAR nPageDefaultOrigin
   VAR cDLLName
   VAR nDefaultStandardFont     // -> AddStandardFont()
   VAR nDefaultStandardFontSize

   // use for :SAY(...)
   VAR nDefaultLPI, nDefaultCPI, nFirstLine,nLastLine,nFirstRow,nLastRow
   VAR cDefaultYes, cDefaultNo, cDefaultNumFormat

   METHOD INIT
   METHOD CREATE
   METHOD DESTROY
   METHOD IsTrue, IsFalse       // 0 / #0  ->  .f. / .t.

   METHOD GetPageSizeX          // -> QuickPDFPageWidth,   PageWidth
   METHOD GetPageSizeY          // -> QuickPDFPageHeight,  PageHeight
   METHOD GetPrinterBinA        // :GetPrinterBins()  -> String -> Array
   METHOD GetPrinterNameA       // :GetPrinterNames() -> CSV String -> Array
   METHOD GetTextAlign          // aktuelle Einstellung abfragen, Rckgabewert ist numerisch und entspricht letzter SetTextAlign(nWert) Festlegung
                                // get the current value, this is the same as the last numeric setting from SetTextAlign(nValue)
   METHOD GetColorRGB           // Xbase++ color -> {r,g,b}

   // Bilder einfacher handhaben / help with images
   METHOD AddImageID            // AddImageID(nImageID,cName)       -> aadd(aImageID,{nImageID,cName}) -> OK ? .f. = Name exists, 1 ID n Names is OK.
   METHOD RemoveImageID         // RemoveImageID(nImageID)          -> aRemove(aImageID,... )          -> OK ? .f. = Parameter error
   METHOD GetImageIDByName      // GetImageIDByName(cName)          -> nImageID
   METHOD SelectImageByName     // SelectImageByName(cName) -(nImageID)-> SelectImage(nImageID) -> OK ?
   METHOD AddImageFile          // AddImageFile(cFileName,O) | AddImageFromFile(...) -(nImageID)-> AddImageID(...) -> nImageID
   METHOD DrawImageFile        // DrawImageFile() -> AddImageFile(cFileName,O) | AddImageFromFile(...) -(nImageID)-> AddImageID(...) -> FitImage...

   // needed for @...say migration
   METHOD SAY (nRow,nCol,xData,cAlign,nCPI,nLPI) // min == 1,1
   METHOD SetLPI, GetLPI        // -> ::nLPI    *** will NOT change the FONT SIZE  !
   METHOD SetCPI, GetCPI        // -> ::nCPI    *** Font Gre wird NICHT gendert !
                                // beides ist NUR fr die Berechnung der SAY Position
                                // both will only be used to calculate the SAY position

   // HBPrinter() Methods

*   METHOD PrintMemo( nPosX, nPosY, cTxt, cAusrichtung, nMaxLen, cArt, xColor, cHochQuer, nMaxBis,nLineFeed )
   VAR PrintTextAlltrim
   METHOD PrintText( nPosX, nPosY, xData, cAusrichtung, nMaxLen, cArt, xColor, nDrehen )
   METHOD LineFeed              // Neue Y Position ermitteln / calculate new Y value

   // from TQuickPdf wrapper class
   INLINE METHOD _b(cc,ptb,n)
          local cb,p
          if !(Valtype(cc) $ "CM") ; return cc ; end
          cb := Len(cc) ; if cb == 0; return cc ; end
          p  := ::CreateBuffer(cb)
          ::AddToBuffer(p,cc,cb)
          PokeDWord(ptb,n*4,p)
          return p

   INLINE METHOD _ptb_free_( result , ptb )
          AEval( PeekDWord(ptb,4,PeekDWord(ptb)) , {|p| _xfree(p) } )
          _xfree(ptb)
          return result

   INLINE METHOD _str_result_(p)
       local cb
       if Empty(p) ; return "" ; end
       cb := ::StringResultLength()
       return PeekStr(p,0,cb)

   INLINE METHOD SetTextCpi(n) ; return ::SetTextSize( 120 / n ) // tatschliche Font Gre, unabhngig von ::nCPI
   INLINE METHOD GetTextCpi()  ; return (::GetTextSize() / 120)  // depend on the real font size, but not from ::nCPI

   METHOD ReleaseLibrary

   METHOD AddArcToPath(p1,p2,p3)
   METHOD AddCJKFont(p1)
   METHOD AddCurveToPath(p1,p2,p3,p4,p5,p6)
   METHOD AddEmbeddedFile(p1,p2)
   METHOD AddFileAttachment(p1,p2)
   METHOD AddFormFieldSub(p1,p2)
   METHOD AddFormFont(p1)
   METHOD AddGlobalJavaScript(p1,p2)
   METHOD AddImageFromFile(p1,p2)
   METHOD AddImageFromFileOffset(p1,p2,p3,p4)
   METHOD AddImageFromString(p1,p2)
   METHOD AddLGIDictToPage(p1)
   METHOD AddLineToPath(p1,p2)
   METHOD AddLinkToEmbeddedFile(p1,p2,p3,p4,p5,p6,p7)
   METHOD AddLinkToFile(p1,p2,p3,p4,p5,p6,p7,p8,p9)
   METHOD AddLinkToJavaScript(p1,p2,p3,p4,p5,p6)
   METHOD AddLinkToPage(p1,p2,p3,p4,p5,p6,p7)
   METHOD AddLinkToWeb(p1,p2,p3,p4,p5,p6)
   METHOD AddNoteAnnotation(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13)
   METHOD AddPageLabels(p1,p2,p3,p4)
   METHOD AddSeparationColor(p1,p2,p3,p4,p5,p6)
   METHOD AddStandardFont(p1)
   METHOD AddSubsettedFont(p1,p2,p3)
   METHOD AddSVGAnnotationFromFile(p1,p2,p3,p4,p5,p6)
   METHOD AddToBuffer(p1,p2,p3)
   METHOD AddToFileList(p1,p2)
   METHOD AddTrueTypeFont(p1,p2)
   METHOD AddTrueTypeFontFromFile(p1)
   METHOD AddType1Font(p1)
   METHOD AddU3DAnnotationFromFile(p1,p2,p3,p4,p5,p6)
   METHOD AnalyseFile(p1,p2)
   METHOD AnnotationCount()
   METHOD AppendSpace(p1)
   METHOD AppendTableColumns(p1,p2)
   METHOD AppendTableRows(p1,p2)
   METHOD AppendText(p1)
   METHOD ApplyStyle(p1)
   METHOD AttachAnnotToForm(p1)
   METHOD BeginPageUpdate()
   METHOD CapturePage(p1)
   METHOD CapturePageEx(p1,p2)
   METHOD CharWidth(p1)
   METHOD CheckObjects()
   METHOD CheckPageAnnots()
   METHOD ClearFileList(p1)
   METHOD ClearPageLabels()
   METHOD ClearTextFormatting()
   METHOD CloneOutlineAction(p1)
   METHOD ClonePages(p1,p2,p3)
   METHOD CloseOutline(p1)
   METHOD ClosePath()
   METHOD CombineLayers()
   METHOD CompressContent()
   METHOD CompressFonts(p1)
   METHOD CompressImages(p1)
   METHOD CompressPage()
   METHOD CopyPageRanges(p1,p2)
   METHOD CreateBuffer(p1)
   METHOD CreateTable(p1,p2)
   METHOD DAAppendFile(p1)
   METHOD DACapturePage(p1,p2)
   METHOD DACapturePageEx(p1,p2,p3)
   METHOD DACloseFile(p1)
   METHOD DADrawCapturedPage(p1,p2,p3,p4,p5,p6,p7)
   METHOD DAExtractPageText(p1,p2,p3)
   METHOD DAFindPage(p1,p2)
   METHOD DAGetFormFieldCount(p1)
   METHOD DAGetFormFieldTitle(p1,p2)
   METHOD DAGetFormFieldValue(p1,p2)
   METHOD DAGetImageDataToString(p1,p2,p3)
   METHOD DAGetImageDblProperty(p1,p2,p3,p4)
   METHOD DAGetImageIntProperty(p1,p2,p3,p4)
   METHOD DAGetImageListCount(p1,p2)
   METHOD DAGetInformation(p1,p2)
   METHOD DAGetObjectCount(p1)
   METHOD DAGetObjectSource(p1,p2)
   METHOD DAGetPageContent(p1,p2)
   METHOD DAGetPageCount(p1)
   METHOD DAGetPageHeight(p1,p2)
   METHOD DAGetPageImageList(p1,p2)
   METHOD DAGetPageWidth(p1,p2)
   METHOD DAHidePage(p1,p2)
   METHOD DAMovePage(p1,p2,p3,p4)
   METHOD DANewPage(p1)
   METHOD DANewPages(p1,p2)
   METHOD DAOpenFile(p1,p2)
   METHOD DAOpenFileReadOnly(p1,p2)
   METHOD DAPageRotation(p1,p2)
   METHOD DARenderPageToDC(p1,p2,p3,p4)
   METHOD DARenderPageToFile(p1,p2,p3,p4,p5)
   METHOD DARenderPageToString(p1,p2,p3,p4)
   METHOD DARotatePage(p1,p2,p3,p4)
   METHOD DASaveAsFile(p1,p2)
   METHOD DASaveImageDataToFile(p1,p2,p3,p4)
   METHOD DASetInformation(p1,p2,p3)
   METHOD DASetPageSize(p1,p2,p3,p4)
   METHOD Decrypt()
   METHOD DecryptFile(p1,p2,p3)
   METHOD DeleteAnalysis(p1)
   METHOD DeleteAnnotation(p1)
   METHOD DeleteFormField(p1)
   METHOD DeleteLayer()
   METHOD DeleteOptionalContentGroup(p1)
   METHOD DeletePageLGIDict(p1)
   METHOD DeletePages(p1,p2)
   METHOD DocJavaScriptAction(p1,p2)
   METHOD DocumentCount()
   METHOD DrawArc(p1,p2,p3,p4,p5,p6,p7)
   METHOD DrawBarcode(p1,p2,p3,p4,p5,p6,p7)
   METHOD DrawBox(p1,p2,p3,p4,p5)
   METHOD DrawCapturedPage(p1,p2,p3,p4,p5)
   METHOD DrawCircle(p1,p2,p3,p4)
   METHOD DrawDataMatrixSymbol(p1,p2,p3,p4,p5,p6,p7)
   METHOD DrawEllipse(p1,p2,p3,p4,p5)
   METHOD DrawEllipticArc(p1,p2,p3,p4,p5,p6,p7,p8)
   METHOD DrawHTMLText(p1,p2,p3,p4)
   METHOD DrawHTMLTextBox(p1,p2,p3,p4,p5)
   METHOD DrawImage(p1,p2,p3,p4)
   METHOD DrawLine(p1,p2,p3,p4)
   METHOD DrawMultiLineText(p1,p2,p3,p4)
   METHOD DrawPath(p1)
   METHOD DrawPathEvenOdd(p1)
   METHOD DrawPostScriptXObject(p1)
   METHOD DrawRotatedCapturedPage(p1,p2,p3,p4,p5,p6)
   METHOD DrawRotatedImage(p1,p2,p3,p4,p5)
   METHOD DrawRotatedText(p1,p2,p3,p4)
   METHOD DrawRotatedTextBox(p1,p2,p3,p4,p5,p6,p7)
   METHOD DrawRoundedBox(p1,p2,p3,p4,p5,p6)
   METHOD DrawScaledImage(p1,p2,p3)
   METHOD DrawSpacedText(p1,p2,p3,p4)
   METHOD DrawTableRows(p1,p2,p3,p4,p5,p6)
   METHOD DrawText(p1,p2,p3)
   METHOD DrawTextArc(p1,p2,p3,p4,p5,p6)
   METHOD DrawTextBox(p1,p2,p3,p4,p5,p6)
   METHOD DrawWrappedText(p1,p2,p3,p4)
   METHOD EditableLayer()
   METHOD EmbeddedFileCount()
   METHOD EmbedFile(p1,p2,p3)
   METHOD EncapsulateLayer()
   METHOD EncodePermissions(p1,p2,p3,p4,p5,p6,p7,p8)
   METHOD Encrypt(p1,p2,p3,p4)
   METHOD EncryptFile(p1,p2,p3,p4,p5,p6)
   METHOD EncryptionAlgorithm()
   METHOD EncryptionStatus()
   METHOD EncryptionStrength()
   METHOD EncryptWithFingerprint(p1)
   METHOD EndPageUpdate()
   METHOD ExtractFilePageContent(p1,p2,p3)
   METHOD ExtractFilePages(p1,p2,p3)
   METHOD ExtractFilePageText(p1,p2,p3,p4)
   METHOD ExtractPageRanges(p1)
   METHOD ExtractPages(p1,p2)
   METHOD FileListCount(p1)
   METHOD FileListItem(p1,p2)
   METHOD FindFonts()
   METHOD FindFormFieldByTitle(p1)
   METHOD FindImages()
   METHOD FitImage(p1,p2,p3,p4,p5,p6,p7)
   METHOD FitRotatedTextBox(p1,p2,p3,p4,p5,p6,p7)
   METHOD FitTextBox(p1,p2,p3,p4,p5,p6)
   METHOD FlattenFormField(p1)
   METHOD FontCount()
   METHOD FontFamily()
   METHOD FontHasKerning()
   METHOD FontName()
   METHOD FontReference()
   METHOD FontSize()
   METHOD FontType()
   METHOD FormFieldCount()
   METHOD FormFieldHasParent(p1)
   METHOD FormFieldJavaScriptAction(p1,p2,p3)
   METHOD FormFieldWebLinkAction(p1,p2,p3)
   METHOD GetActionType(p1)
   METHOD GetAnalysisInfo(p1,p2)
   METHOD GetAnnotActionID(p1)
   METHOD GetAnnotDblProperty(p1,p2)
   METHOD GetAnnotIntProperty(p1,p2)
   METHOD GetAnnotStrProperty(p1,p2)
   METHOD GetBarcodeWidth(p1,p2,p3)
   METHOD GetCanvasDC(p1,p2)
   METHOD GetCatalogInformation(p1)
   METHOD GetCustomInformation(p1)
   METHOD GetCustomKeys(p1)
   METHOD GetDefaultPrinterName()
   METHOD GetDestPage(p1)
   METHOD GetDestType(p1)
   METHOD GetDestValue(p1,p2)
   METHOD GetDocJavaScript(p1)
   METHOD GetDocumentFileName()
   METHOD GetDocumentID(p1)
   METHOD GetDocumentIdentifier(p1,p2)
   METHOD GetDocumentMetadata()
   METHOD GetDocumentResourceList()
   METHOD GetEmbeddedFileContentToFile(p1,p2)
   METHOD GetEmbeddedFileContentToString(p1)
   METHOD GetEmbeddedFileIntProperty(p1,p2)
   METHOD GetEmbeddedFileStrProperty(p1,p2)
   METHOD GetEncryptionFingerprint()
   METHOD GetFileMetadata(p1)
   METHOD GetFirstChildOutline(p1)
   METHOD GetFirstOutline()
   METHOD GetFontID(p1)
   METHOD GetFontObjectNumber()
   METHOD GetFormFieldAlignment(p1)
   METHOD GetFormFieldAnnotFlags(p1)
   METHOD GetFormFieldBackgroundColor(p1,p2)
   METHOD GetFormFieldBorderColor(p1,p2)
   METHOD GetFormFieldBorderProperty(p1,p2)
   METHOD GetFormFieldBorderStyle(p1)
   METHOD GetFormFieldBound(p1,p2)
   METHOD GetFormFieldCaption(p1)
   METHOD GetFormFieldChildTitle(p1)
   METHOD GetFormFieldChoiceType(p1)
   METHOD GetFormFieldColor(p1,p2)
   METHOD GetFormFieldComb(p1)
   METHOD GetFormFieldDefaultValue(p1)
   METHOD GetFormFieldDescription(p1)
   METHOD GetFormFieldFlags(p1)
   METHOD GetFormFieldFontName(p1)
   METHOD GetFormFieldJavaScript(p1,p2)
   METHOD GetFormFieldKidCount(p1)
   METHOD GetFormFieldMaxLen(p1)
   METHOD GetFormFieldPage(p1)
   METHOD GetFormFieldPrintable(p1)
   METHOD GetFormFieldReadOnly(p1)
   METHOD GetFormFieldRotation(p1)
   METHOD GetFormFieldSubCount(p1)
   METHOD GetFormFieldSubName(p1,p2)
   METHOD GetFormFieldSubTempIndex(p1,p2)
   METHOD GetFormFieldTabOrder(p1)
   METHOD GetFormFieldTextFlags(p1,p2)
   METHOD GetFormFieldTextSize(p1)
   METHOD GetFormFieldTitle(p1)
   METHOD GetFormFieldType(p1)
   METHOD GetFormFieldValue(p1)
   METHOD GetFormFieldValueByTitle(p1)
   METHOD GetFormFieldVisible(p1)
   METHOD GetFormFieldWebLink(p1,p2)
   METHOD GetFormFontCount()
   METHOD GetFormFontName(p1)
   METHOD GetGlobalJavaScript(p1)
   METHOD GetHTMLTextHeight(p1,p2)
   METHOD GetHTMLTextLineCount(p1,p2)
   METHOD GetHTMLTextWidth(p1,p2)
   METHOD GetImageID(p1)
   METHOD GetImagePageCount(p1)
   METHOD GetInformation(p1)
   METHOD GetKerning(p1)
   METHOD GetNamedDestination(p1)
   METHOD GetNextOutline(p1)
   METHOD GetObjectCount()
   METHOD GetObjectSource(p1)
   METHOD GetOpenActionDestination()
   METHOD GetOpenActionJavaScript()
   METHOD GetOptionalContentGroupID(p1)
   METHOD GetOptionalContentGroupName(p1)
   METHOD GetOrigin()
   METHOD GetOutlineActionID(p1)
   METHOD GetOutlineColor(p1,p2)
   METHOD GetOutlineDest(p1)
   METHOD GetOutlineID(p1)
   METHOD GetOutlineJavaScript(p1)
   METHOD GetOutlineOpenFile(p1)
   METHOD GetOutlinePage(p1)
   METHOD GetOutlineStyle(p1)
   METHOD GetOutlineWebLink(p1)
   METHOD GetPageBox(p1,p2)
   METHOD GetPageContent()
   METHOD GetPageJavaScript(p1)
   METHOD GetPageLabel(p1)
   METHOD GetPageLayout()
   METHOD GetPageLGIDictContent(p1)
   METHOD GetPageLGIDictCount()
   METHOD GetPageMode()
   METHOD GetPageText(p1)
   METHOD GetParentOutline(p1)
   METHOD GetPrevOutline(p1)
   METHOD GetPrinterBins(p1)
   METHOD GetPrinterNames()                     // -> :GetPrinterNameA()
   METHOD GetSubsetString(p1)
   METHOD GetTableCellDblProperty(p1,p2,p3,p4)
   METHOD GetTableCellIntProperty(p1,p2,p3,p4)
   METHOD GetTableCellStrProperty(p1,p2,p3,p4)
   METHOD GetTableColumnCount(p1)
   METHOD GetTableLastDrawnRow(p1)
   METHOD GetTableRowCount(p1)
   METHOD GetTempPath()
   METHOD GetTextAscent()
   METHOD GetTextBound(p1)
   METHOD GetTextDescent()
   METHOD GetTextHeight()
   METHOD GetTextSize()
   METHOD GetTextWidth(p1)
   METHOD GetViewerPreferences(p1)
   METHOD GetWrappedText(p1,p2,p3)
   METHOD GetWrappedTextBreakString(p1,p2,p3)
   METHOD GetWrappedTextHeight(p1,p2)
   METHOD GetWrappedTextLineCount(p1,p2)
   METHOD GetXFAFormFieldCount()
   METHOD GetXFAFormFieldName(p1)
   METHOD GetXFAFormFieldNames(p1)
   METHOD GetXFAFormFieldValue(p1)
   METHOD GlobalJavaScriptCount()
   METHOD GlobalJavaScriptPackageName(p1)
   METHOD HasFontResources()
   METHOD HasPageBox(p1)
   METHOD HidePage()
   METHOD ImageCount()
   METHOD ImageFillColor()
   METHOD ImageHeight()
   METHOD ImageHorizontalResolution()
   METHOD ImageResolutionUnits()
   METHOD ImageType()
   METHOD ImageVerticalResolution()
   METHOD ImageWidth()
   METHOD ImportEMFFromFile(p1,p2,p3)
   METHOD InsertPages(p1,p2)
   METHOD InsertTableColumns(p1,p2,p3)
   METHOD InsertTableRows(p1,p2,p3)
   METHOD IsAnnotFormField(p1)
   METHOD LastErrorCode()
   METHOD LastRenderError()
   METHOD LayerCount()
   METHOD LayerSafe()
   METHOD LibraryVersion()
   METHOD LicenseInfo()
   METHOD Linearized()
   METHOD LoadFromCanvasDC(p1,p2)
   METHOD LoadFromFile(p1)
   METHOD LoadFromString(p1)
   METHOD LoadState()
   METHOD MergeDocument(p1)
   METHOD MergeFileList(p1,p2)
   METHOD MergeFileListFast(p1,p2)
   METHOD MergeFiles(p1,p2,p3)
   METHOD MergeTableCells(p1,p2,p3,p4,p5)
   METHOD MoveLayer(p1,p2)
   METHOD MoveOutlineAfter(p1,p2)
   METHOD MoveOutlineBefore(p1,p2)
   METHOD MovePage(p1)
   METHOD MovePath(p1,p2)
   METHOD MultiplyScale(p1)
   METHOD NewChildFormField(p1,p2,p3)
   METHOD NewCustomPrinter(p1)
   METHOD NewDocument()
   METHOD NewFormField(p1,p2)
   METHOD NewLayer()
   METHOD NewOptionalContentGroup(p1)
   METHOD NewOutline(p1,p2,p3,p4)
   METHOD NewPage()
   METHOD NewPages(p1)
   METHOD NewPostScriptXObject(p1)
   METHOD NewRGBAxialShader(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12)
   METHOD NewStaticOutline(p1,p2)
   METHOD OpenOutline(p1)
   METHOD OptionalContentGroupCount()
   METHOD OutlineCount()
   METHOD OutlineTitle(p1)
   METHOD PageCount()
   METHOD PageHeight()
   METHOD PageJavaScriptAction(p1,p2)
   METHOD PageRotation()
   METHOD PageWidth()
   METHOD PrintDocument(p1,p2,p3,p4)
   METHOD PrintDocumentToFile(p1,p2,p3,p4,p5)
   METHOD PrintOptions(p1,p2,p3)
   METHOD ReleaseBuffer(p1)
   METHOD RemoveAppearanceStream(p1)
   METHOD RemoveDocument(p1)
   METHOD RemoveOutline(p1)
   METHOD RemoveSharedLayers()
   METHOD RemoveStyle(p1)
   METHOD RenderDocumentToFile(p1,p2,p3,p4,p5)
   METHOD RenderPageToDC(p1,p2,p3)
   METHOD RenderPageToFile(p1,p2,p3,p4)
   METHOD RenderPageToString(p1,p2,p3)
   METHOD ReplaceFonts()
   METHOD ReplaceImage(p1,p2)
   METHOD ReplaceTag(p1,p2)
   METHOD RetrieveCustomDataToFile(p1,p2,p3)
   METHOD RetrieveCustomDataToString(p1,p2)
   METHOD ReverseImage(p1)
   METHOD RotatePage(p1)
   METHOD SaveFontToFile(p1)
   METHOD SaveImageToFile(p1)
   METHOD SaveState()
   METHOD SaveStyle(p1)
   METHOD SaveToFile(p1)
   METHOD SaveToString()
   METHOD SecurityInfo(p1)
   METHOD SelectDocument(p1)
   METHOD SelectedDocument()
   METHOD SelectedFont()
   METHOD SelectedImage()
   METHOD SelectedPage()
   METHOD SelectFont(p1)
   METHOD SelectImage(p1)
   METHOD SelectLayer(p1)
   METHOD SelectPage(p1)
   METHOD SetAdvancePassword(p1)
   METHOD SetAnnotContents(p1,p2)
   METHOD SetAnnotStrProperty(p1,p2,p3)
   METHOD SetBaseURL(p1)
   METHOD SetBlendMode(p1)
   METHOD SetBreakString(p1)
   METHOD SetCapturedPageOptional(p1,p2)
   METHOD SetCatalogInformation(p1,p2)
   METHOD SetCharWidth(p1,p2)
   METHOD SetClippingPath()
   METHOD SetClippingPathEvenOdd()
   METHOD SetCropBox(p1,p2,p3,p4)
   METHOD SetCustomInformation(p1,p2)
   METHOD SetCustomLineDash(p1,p2)
   METHOD SetDocumentMetadata(p1)
   METHOD SetFillColor(p1,p2,p3)
   METHOD SetFillColorCMYK(p1,p2,p3,p4)
   METHOD SetFillColorSep(p1,p2)
   METHOD SetFillShader(p1)
   METHOD SetFontEncoding(p1)
   METHOD SetFontFlags(p1,p2,p3,p4,p5,p6,p7,p8)
   METHOD SetFormFieldAlignment(p1,p2)
   METHOD SetFormFieldAnnotFlags(p1,p2)
   METHOD SetFormFieldBackgroundColor(p1,p2,p3,p4)
   METHOD SetFormFieldBackgroundColorCMYK(p1,p2,p3,p4,p5)
   METHOD SetFormFieldBackgroundColorSep(p1,p2,p3)
   METHOD SetFormFieldBorderColor(p1,p2,p3,p4)
   METHOD SetFormFieldBorderColorCMYK(p1,p2,p3,p4,p5)
   METHOD SetFormFieldBorderColorSep(p1,p2,p3)
   METHOD SetFormFieldBorderStyle(p1,p2,p3,p4,p5)
   METHOD SetFormFieldBounds(p1,p2,p3,p4,p5)
   METHOD SetFormFieldCalcOrder(p1,p2)
   METHOD SetFormFieldCaption(p1,p2)
   METHOD SetFormFieldCheckStyle(p1,p2,p3)
   METHOD SetFormFieldChildTitle(p1,p2)
   METHOD SetFormFieldColor(p1,p2,p3,p4)
   METHOD SetFormFieldColorCMYK(p1,p2,p3,p4,p5)
   METHOD SetFormFieldColorSep(p1,p2,p3)
   METHOD SetFormFieldComb(p1,p2)
   METHOD SetFormFieldDefaultValue(p1,p2)
   METHOD SetFormFieldDescription(p1,p2)
   METHOD SetFormFieldFlags(p1,p2)
   METHOD SetFormFieldFont(p1,p2)
   METHOD SetFormFieldHighlightMode(p1,p2)
   METHOD SetFormFieldIcon(p1,p2,p3)
   METHOD SetFormFieldIconStyle(p1,p2,p3,p4,p5,p6)
   METHOD SetFormFieldMaxLen(p1,p2)
   METHOD SetFormFieldOptional(p1,p2)
   METHOD SetFormFieldPage(p1,p2)
   METHOD SetFormFieldPrintable(p1,p2)
   METHOD SetFormFieldReadOnly(p1,p2)
   METHOD SetFormFieldRotation(p1,p2)
   METHOD SetFormFieldStandardFont(p1,p2)
   METHOD SetFormFieldTabOrder(p1,p2)
   METHOD SetFormFieldTextFlags(p1,p2,p3,p4,p5,p6)
   METHOD SetFormFieldTextSize(p1,p2)
   METHOD SetFormFieldValue(p1,p2)
   METHOD SetFormFieldValueByTitle(p1,p2)
   METHOD SetFormFieldVisible(p1,p2)
   METHOD SetGDIPlusFileName(p1)
   METHOD SetGDIPlusOptions(p1,p2)
   METHOD SetHTMLBoldFont(p1,p2)
   METHOD SetHTMLBoldItalicFont(p1,p2)
   METHOD SetHTMLItalicFont(p1,p2)
   METHOD SetHTMLNormalFont(p1,p2)
   METHOD SetImageAsMask(p1)
   METHOD SetImageMask(p1,p2,p3,p4,p5,p6)
   METHOD SetImageMaskCMYK(p1,p2,p3,p4,p5,p6,p7,p8)
   METHOD SetImageMaskFromImage(p1)
   METHOD SetImageOptional(p1)
   METHOD SetInformation(p1,p2)
   METHOD SetJavaScriptMode(p1)
   METHOD SetJPEGQuality(p1)
   METHOD SetKerning(p1,p2)
   METHOD SetLayerOptional(p1)
   METHOD SetLineCap(p1)
   METHOD SetLineColor(p1,p2,p3)
   METHOD SetLineColorCMYK(p1,p2,p3,p4)
   METHOD SetLineColorSep(p1,p2)
   METHOD SetLineDash(p1,p2)
   METHOD SetLineJoin(p1)
   METHOD SetLineShader(p1)
   METHOD SetLineWidth(p1)
   METHOD SetMeasurementUnits(p1)
   METHOD SetNeedAppearances(p1)
   METHOD SetOpenActionDestination(p1,p2)
   METHOD SetOpenActionDestinationFull(p1,p2,p3,p4,p5,p6,p7)
   METHOD SetOpenActionJavaScript(p1)
   METHOD SetOpenActionMenu(p1)
   METHOD SetOptionalContentGroupPrintable(p1,p2)
   METHOD SetOptionalContentGroupVisible(p1,p2)
   METHOD SetOrigin(p1)
   METHOD SetOutlineColor(p1,p2,p3,p4)
   METHOD SetOutlineDestination(p1,p2,p3)
   METHOD SetOutlineDestinationFull(p1,p2,p3,p4,p5,p6,p7,p8)
   METHOD SetOutlineDestinationZoom(p1,p2,p3,p4)
   METHOD SetOutlineJavaScript(p1,p2)
   METHOD SetOutlineOpenFile(p1,p2)
   METHOD SetOutlineStyle(p1,p2,p3)
   METHOD SetOutlineTitle(p1,p2)
   METHOD SetOutlineWebLink(p1,p2)
   METHOD SetPageActionMenu(p1)
   METHOD SetPageBox(p1,p2,p3,p4,p5)
   METHOD SetPageContent(p1)
   METHOD SetPageDimensions(p1,p2)
   METHOD SetPageLayout(p1)
   METHOD SetPageMode(p1)
   METHOD SetPageSize(p1)
   METHOD SetPageThumbnail()
   METHOD SetPageTransparencyGroup(p1,p2,p3)
   METHOD SetPassword(p1)
   METHOD SetPNGTransparencyColor(p1,p2,p3)
   METHOD SetPrecision(p1)
   METHOD SetScale(p1)
   METHOD SetTableBorderColor(p1,p2,p3,p4,p5)
   METHOD SetTableBorderColorCMYK(p1,p2,p3,p4,p5,p6)
   METHOD SetTableBorderWidth(p1,p2,p3)
   METHOD SetTableCellAlignment(p1,p2,p3,p4,p5,p6)
   METHOD SetTableCellBackgroundColor(p1,p2,p3,p4,p5,p6,p7,p8)
   METHOD SetTableCellBackgroundColorCMYK(p1,p2,p3,p4,p5,p6,p7,p8,p9)
   METHOD SetTableCellBorderColor(p1,p2,p3,p4,p5,p6,p7,p8,p9)
   METHOD SetTableCellBorderColorCMYK(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10)
   METHOD SetTableCellBorderWidth(p1,p2,p3,p4,p5,p6,p7)
   METHOD SetTableCellContent(p1,p2,p3,p4)
   METHOD SetTableCellPadding(p1,p2,p3,p4,p5,p6,p7)
   METHOD SetTableCellTextColor(p1,p2,p3,p4,p5,p6,p7,p8)
   METHOD SetTableCellTextColorCMYK(p1,p2,p3,p4,p5,p6,p7,p8,p9)
   METHOD SetTableCellTextSize(p1,p2,p3,p4,p5,p6)
   METHOD SetTableColumnWidth(p1,p2,p3,p4)
   METHOD SetTableRowHeight(p1,p2,p3,p4)
   METHOD SetTempFile(p1)
   METHOD SetTempPath(p1)
   METHOD SetTextAlign(p1)
   METHOD SetTextCharSpacing(p1)
   METHOD SetTextColor(p1,p2,p3)
   METHOD SetTextColorCMYK(p1,p2,p3,p4)
   METHOD SetTextColorSep(p1,p2)
   METHOD SetTextHighlight(p1)
   METHOD SetTextHighlightColor(p1,p2,p3)
   METHOD SetTextHighlightColorCMYK(p1,p2,p3,p4)
   METHOD SetTextHighlightColorSep(p1,p2)
   METHOD SetTextMode(p1)
   METHOD SetTextRise(p1)
   METHOD SetTextScaling(p1)
   METHOD SetTextShader(p1)
   METHOD SetTextSize(p1)
   METHOD SetTextSpacing(p1)
   METHOD SetTextUnderline(p1)
   METHOD SetTextUnderlineColor(p1,p2,p3)
   METHOD SetTextUnderlineColorCMYK(p1,p2,p3,p4)
   METHOD SetTextUnderlineColorSep(p1,p2)
   METHOD SetTextUnderlineDash(p1,p2)
   METHOD SetTextWordSpacing(p1)
   METHOD SetTransparency(p1)
   METHOD SetupCustomPrinter(p1,p2,p3)
   METHOD SetViewerPreferences(p1,p2)
   METHOD SetXFAFormFieldAccess(p1,p2)
   METHOD SetXFAFormFieldBorderColor(p1,p2,p3,p4)
   METHOD SetXFAFormFieldBorderPresence(p1,p2)
   METHOD SetXFAFormFieldBorderWidth(p1,p2)
   METHOD SetXFAFormFieldValue(p1,p2)
   METHOD SignFile(p1,p2,p3,p4,p5,p6,p7,p8,p9)
   METHOD SplitPageText(p1)
   METHOD StartPath(p1,p2)
   METHOD StoreCustomDataFromFile(p1,p2,p3,p4)
   METHOD StoreCustomDataFromString(p1,p2,p3,p4)
   METHOD StringResultLength()
   METHOD TestTempPath()
   METHOD ToPDFUnicode(p1)
   METHOD Unlocked()
   METHOD UnlockKey(p1)
   METHOD UpdateAppearanceStream(p1)
   METHOD UseKerning(p1)
   METHOD UseUnsafeLayers(p1)
   // END from TQuickPdf wrapper class



ENDCLASS
*---------------------------------------------------
METHOD HBPrintPDF:INIT(cDefaultLanguage)
      ::_hdll_   := 0
      ::_id_     := 0
      ::aImageID := {}
      ::nOldTextColorRed    := 0
      ::nOldTextColorGreen  := 0
      ::nOldTextColorBlue   := 0

      ::cQuickPdfDllName            := "QuickPDFDLL0718.dll"  // ERSTELLT UND GETESTET mit 7.18 / created for and testet with 7.18
      ::nDefaultPageSize            := "A4"
      ::nDefaultMeasurementUnits    := MEASUREMENTUNITS_MM
      ::nPageDefaultOrigin          := PAGE_ORIGIN_TOP_LEFT
      ::nDefaultStandardFont        :=  4 // Helvetica / Arial
      ::nDefaultStandardFontSize    := 12 // 12 Punkt
      if cDefaultLanguage==NIL
         ::cErrorLanguage           := "DE"      // 2 Bytes !!! E ? english spanish ? -> EN or ES !  D -> german OK
      else
         ::cErrorLanguage           := upper(alltrim(cDefaultLanguage))
      endif
      do case
         case "*"+::cErrorLanguage+"*" $ "*D*DE*"
            ::cErrorLoadDll         := "Fehler beim Laden von Quick PDF DLL (QuickPDFDLL0718.dll ff). Ist diese vorhanden ?"
            ::cErrorNoInstance      := "Quick PDF DLL (QuickPDFDLL0718.dll ff) konnte nicht initialisiert werden !"
            ::cErrorNoLicenseOK     := "Lizenz Key wurde nicht akzeptiert !"
            ::cErrorNoLicenseKey    := "Parameter cKey (Lizenz Key) wurde nicht bergeben !"
            ::cErrorNotMinVerOT4XB  := "Version 1.5.12.21 oder hher von ot4xb wird bentigt. www.xbwin.com"

            ::cDefaultYes           := "Ja"
            ::cDefaultNo            := "Nein"

         case "*"+::cErrorLanguage+"*" $ "*ES*"
            ::cErrorLoadDll         := "No se ha podido cargar la DLL Quick PDF (QuickPDFDLL0718.dll ff). Probablemente no se ha podido hallar."
            ::cErrorNoInstance      := "No se ha podido inicializar una nueva instancia de la DLL Quick PDF"
            ::cErrorNoLicenseOK     := "La licencia no ha sido aceptada !"
            ::cErrorNoLicenseKey    := "Falta el parmetro cKey, la clave de la licencia no est definida"
            ::cErrorNotMinVerOT4XB  := "Se requiere ot4xb 1.5.12.21 o superior, busca en  www.xbwin.com"

            ::cDefaultYes           := "Si"
            ::cDefaultNo            := "No"

         otherwise     // Englisch / english
            ::cErrorLoadDll         := "Could not load Quick PDF DLL (QuickPDFDLL0718.dll ff). Maybe not found ?"
            ::cErrorNoInstance      := "The instance of Quick PDF Library could not be created !"
            ::cErrorNoLicenseOK     := "License key was not accepted !"
            ::cErrorNoLicenseKey    := "Missing Parameter cKey, license key was not defined !"
            ::cErrorNotMinVerOT4XB  := "ot4xb 1.5.12.21 or higher required, see www.xbwin.com"

            ::cDefaultYes           := "Yes"
            ::cDefaultNo            := "No"

      end
      ::cDefaultNumFormat         := "999,999,999.99"

      ::nDefaultLPI               :=  6         //  6 lines per inch            // Zeilen  pro Zoll
      ::nDefaultCPI               := 10         // 10 chars per inch            // Zeichen pro Zoll
      ::nFirstLine                :=  4         //  3 lines TOP margin, first line in 4
      ::nLastLine                 := 67         //  3 lines BOTTOM margin, 70 Lines per Page in A4, last print line on 67
      ::nFirstRow                 :=  9         //  8 chars left margin  2 cm
      ::nLastRow                  := 78         //  4 chars right margin 1 cm
      ::nCPI                      := ::nDefaultCPI
      ::nLPI                      := ::nDefaultLPI
      ::nAlign                    := TEXT_ALIGN_LEFT
      ::PrintTextAlltrim          := .t.
      ::nPageNo                   := 1
return self
*---------------------------------------------------
Method HBPrintPDF:Create(cKey)
   ::IsOK := .f.
   do case
      case cKey==NIL
           msgbox(::cErrorNoLicenseKey,"HBPrintPDF():Create(cKey)")
      case ot4xb() < "001.005.012.021"
           MsgBox(::cErrorNotMinVerOT4XB,"HBPrintPDF():Create(cKey)")
      otherwise
           ::_hdll_ := dllLoad(::cQuickPdfDllName)
           if empty(::_hdll_)
              msgbox(::cErrorLoadDll,"HBPrintPDF():Create(cKey)")
           else
              ::_id_ := FpQCall( {::_hdll_,"QuickPDFCreateLibrary"} ,"__sl__sl",::_id_)
              if empty(::_id_)
                 msgbox(::cErrorNoInstance,"HBPrintPDF():Create(cKey)")
              else
                 if ::UnlockKey(cKey)
                    ::IsOK := .t.
                    ::SetPageSize(::nDefaultPageSize)
                    ::SetMeasurementUnits(::nDefaultMeasurementUnits)
                    ::SetOrigin(::nPageDefaultOrigin)
                    ::AddStandardFont(::nDefaultStandardFont)
                    ::SetTextSize(::nDefaultStandardFontSize)         // setzt auch ::nLineFeed / calculates ::nLineFeed
                 else
                    msgbox(::cErrorNoLicenseOK,"HBPrintPDF():Create(cKey)")
                    ::destroy()
                 endif
              endif
           endif
   end

return SELF
*---------------------------------------------------
Method HBPrintPDF:Destroy()
   if ::ReleaseLibrary()
      ::_id_   := 0
      ::_hdll_ := 0
   endif
return NIL
*---------------------------------------------------
Method HBPrintPDF:GetPageSizeX()
return ::PageWidth()
*---------------------------------------------------
Method HBPrintPDF:GetPageSizeY()
return ::PageHeight()
*---------------------------------------------------
Method HBPrintPDF:SetLPI(nLPI)
  local nReturn
  if nLPI==NIL
     ::nLPI  := ::nDefaultLPI
     nReturn := ::nLPI
  else
     nReturn := ::nLPI
     ::nLPI  := nLPI
  endif
return nReturn
*---------------------------------------------------
Method HBPrintPDF:GetLPI()
return ::nLPI
*---------------------------------------------------
Method HBPrintPDF:SetCPI(nCPI)
  local nReturn
  if nCPI==NIL
     ::nCPI  := ::nDefaultCPI
     nReturn := ::nCPI
  else
     nReturn := ::nCPI
     ::nCPI  := nCPI
  endif
return nReturn
*---------------------------------------------------
Method HBPrintPDF:GetCPI()
return ::nCPI
*---------------------------------------------------
Method HBPrintPDF:GetColorRGB(nXbaseGraColorConstant,nRGB )           // Xbase++ color -> {r,g,b}
   local xReturn,x
   static aColorTable :=  { { GRA_CLR_WHITE     , {   1,   1,   1 } } ,;
                            { GRA_CLR_BLACK     , {   0,   0,   0 } } ,;
                            { GRA_CLR_BLUE      , {   0,   0,   1 } } ,;
                            { GRA_CLR_RED       , {   1,   0,   0 } } ,;
                            { GRA_CLR_PINK      , {   1,   0,   1 } } ,;
                            { GRA_CLR_GREEN     , {   0,   1,   0 } } ,;
                            { GRA_CLR_CYAN      , {   0,   1,   1 } } ,;
                            { GRA_CLR_YELLOW    , {   1,   1,   0 } } ,;
                            { GRA_CLR_DARKGRAY  , { 0.5, 0.5, 0.5 } } ,;
                            { GRA_CLR_DARKBLUE  , {   0,   0, 0.5 } } ,;
                            { GRA_CLR_DARKRED   , { 0.8,   0,   0 } } ,;
                            { GRA_CLR_DARKPINK  , { 0.6,   0, 0.6 } } ,;
                            { GRA_CLR_DARKGREEN , {   0, 0.6,   0 } } ,;
                            { GRA_CLR_DARKCYAN  , {   0, 0.6, 0.6 } } ,;
                            { GRA_CLR_BROWN     , { 0.5, 0.25,  0 } } ,;
                            { GRA_CLR_PALEGRAY  , { 0.7, 0.7 ,0.7 } } }
   DEFAULT nXbaseGraColorConstant TO GRA_CLR_BLACK
   DEFAULT nRGB TO 0
   x := aScan(aColorTable,{|aC| aC[1]==nXbaseGraColorConstant })
   do case
      case empty(x) .and. empty(nRGB)
           xReturn := {0,0,0}
      case empty(x)
           xReturn := 0
      case empty(nRGB)
           xReturn := aColorTable[x,2]
      otherwise
           xReturn := aColorTable[x,2,nRGB]
   end
return xReturn
*---------------------------------------------------
METHOD HBPrintPDF:PrintText( nPosX, nPosY, xData, cAlign, nMaxLen, cArt, xColor, nDrehen )
                        //old              cTxt   cAusrichtung     n/a   nFarbe
   local cTxt := "", nAlign, lAppendText, lColorChanged

   DEFAULT cAlign  TO " "
   DEFAULT nDrehen TO 0
   // :AppendText() .or. :DrawText() ?
   lAppendText := ( nPosX == NIL .or. nPosY == NIL )
   // xData -> String
   do case
      case ValType(xData)=="D"
           cTxt := dtoc(xData)
      case ValType(xData)=="L"
           cTxt := iif(xData,::cDefaultYes,::cDefaultNo)
      case ValType(xData)=="N"
           cTxt := TransForm(xData,::cDefaultNumFormat)
           DEFAULT cAlign TO "R"
      case ValType(xData)=="C"
           cTxt := xData
      otherwise
           cTxt := var2char(xData)
   end
   // cAlign / cAusrichtung
   nAlign := ::GetTextAlign()  // alte Einstellung speichern, save old value
   do case
      case lAppendText
           cAlign  := " "
           nDrehen := 0
      case cAlign == "L"
           ::SetTextAlign(TEXT_ALIGN_LEFT)
      case cAlign == "R"
           ::SetTextAlign(TEXT_ALIGN_RIGHT)
      case cAlign == "C" .or. cAlign == "M" .or. cAlign == "Z"
           ::SetTextAlign(TEXT_ALIGN_CENTER)
   end
   // lnger als nMaxLen ? / too long ?
   if ValType(nMaxLen)=="N" .and. ! empty(nMaxLen)
      do while ::GetTextWidth(cTxt) > nMaxLen .and. ! empty(cTxt)
         cTxt := left(cTxt,len(cTxt)-1)
      enddo
   endif
   //
   do case
      case xColor == NIL
           // don't change
           lColorChanged := .f.
      case ValType(xColor)=="A"  // RGB Array !
           // don't change
           lColorChanged := .f.
      otherwise
           // nXbaseGraColorConstant -> GRA.CH
           lColorChanged := .t.
           // alter Vorgnger in lokalen Variablen speichern
           // save last color lokal
           xColor := ::GetColorRGB(xColor,0) // xColor := {r,g,b}
           ::SetTextColor(xColor[1],xColor[2],xColor[3])
   end

   // Append, Rotate, normal ?
   do case
      case lAppendText
           ::AppendText(cTxt)
      case ValType(nDrehen)=="N" .and. ! empty(nDrehen)
           ::DrawRotatedText(nPosX, nPosY,nDrehen,cTxt )
      otherwise
           ::DrawText(nPosX, nPosY, cTxt )
           if ! empty(cAlign)
              ::SetTextAlign(nAlign)
           endif
   end

   // Reset color
   if lColorChanged
      ::SetTextColor(::nOldTextColorRed, ::nOldTextColorGreen, ::nOldTextColorBlue)
   endif

return .t.
*---------------------------------------------------
Method HBPrintPDF:SAY (nRow,nCol,xData,cAlign,nCPI,nLPI) // min == 1,1
   local cTxt := "", nAlign
   do case
      case ValType(xData)=="D"
           cTxt := dtoc(xData)
      case ValType(xData)=="L"
           cTxt := iif(xData,::cDefaultYes,::cDefaultNo)
      case ValType(xData)=="N"
           cTxt := TransForm(xData,::cDefaultNumFormat)
           DEFAULT cAlign TO "R"
      case ValType(xData)=="C"
           cTxt := xData
      otherwise
           cTxt := var2char(xData)
   end
   DEFAULT cAlign TO "L"
   cAlign := upper(left(alltrim(cAlign)+"L",1))
   nAlign := ::GetTextAlign()  // alte Einstellung speichern, save old value
   do case
      case cAlign == "L"
           ::SetTextAlign(TEXT_ALIGN_LEFT)
      case cAlign == "R"
           ::SetTextAlign(TEXT_ALIGN_RIGHT)
      case cAlign == "C" .or. cAlign == "M" .or. cAlign == "Z"
           ::SetTextAlign(TEXT_ALIGN_CENTER)
   end
   ::DrawText(::nColToPosX(nCol,nCPI),::nRowToPosY(nRow,nLPI), cTxt )
   ::SetTextAlign(nAlign)
return self
*---------------------------------------------------
Method HBPrintPDF:nColToPosX(nCol,nCPI)                  // -> :say(nCol,
   local nCharWidth, nPosX
   DEFAULT nCol TO ::nFirstRow
   DEFAULT nCPI TO ::nCPI
   do case
      case ::nDefaultMeasurementUnits == MEASUREMENTUNITS_MM
           nCharWidth := 25.4 / nCPI
      case ::nDefaultMeasurementUnits == MEASUREMENTUNITS_INCH
           nCharWidth :=  1.0 / nCPI
      otherwise  // Points = 1/72 Inch
           nCharWidth := 72.0 / nCPI
   end
   nCol--  // nCol soll gedruckt werden ...
   nPosX := max(1,   nCol * nCharWidth )
return nPosX
*---------------------------------------------------
Method HBPrintPDF:nRowToPosY(nRow,nLPI)                  // -> :say(,nRow
   local nPageY, nLineHight, nPosY
   DEFAULT nRow TO ::nFirstLine
   DEFAULT nLPI TO ::nLPI
   nPageY := ::GetPageSizeY()
   do case
      case ::nDefaultMeasurementUnits == MEASUREMENTUNITS_MM
           nLineHight := 25.4 / nLPI
      case ::nDefaultMeasurementUnits == MEASUREMENTUNITS_INCH
           nLineHight :=  1.0 / nLPI
      otherwise  // Points = 1/72 Inch
           nLineHight := 72.0 / nLPI
   end
   if ::GetOrigin()==PAGE_ORIGIN_TOP_LEFT
      nPosY := max(1, nRow * nLineHight)
   else
      nPosY := max(1, nPageY - (nRow * nLineHight))
   endif
return nPosY
*---------------------------------------------------
Method HBPrintPDF:IsTrue(nWert)
Return nWert # 0
*---------------------------------------------------
Method HBPrintPDF:IsFalse(nWert)
Return nWert == 0
*---------------------------------------------------
Method HBPrintPDF:GetTextAlign()
return ::nAlign
*---------------------------------------------------
Method HBPrintPDF:LineFeed( nLines, nDistance )
    local nValue
    DEFAULT nLines       TO 1
    DEFAULT ::nLineFeed  TO ::GetTextHeight()
    DEFAULT nDistance    TO ::nLineFeed
    nValue := nLines * nDistance
RETURN nValue
*---------------------------------------------------
Method HBPrintPDF:GetPrinterBinA(p1)
   local aBin := {}
   DEFAULT p1 TO ::GetDefaultPrinterName()
   aBin := tokenize(alltrim(::GetPrinterBins(p1)),CRLF)  // {[1,"Name 1"]CRLF[2,"Name 2"]CRLF...} -> {[1,"Name 1"],[2,"Name 2"],...}
   aeval(aBin,{|cZeile,i| aBin[i] := &("{"+cZeile+"}")}) // {[1,"Name 1"],[2,"Name 2"],...}       -> {{1,"Name 1"},{2,"Name 2"},...}
return aBin
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPrinterNameA()
   local cPrinters, aPrinter := {}, cDelim
   cPrinters := ::GetPrinterNames()                   // -> ["Printer 1","Printer 2","Printer 3"]
*  with tokenize from ot4xb
*   cPrinters := substr(cPrinters,2,len(cPrinters)-2)  // ->  [Printer 1","Printer 2","Printer 3]
*   cDelim    := chr(34)+","+chr(34)                   // -> [","]
*   aPrinter  := tokenize(cPrinters,cDelim)            // -> {"Printer 1","Printer 2","Printer 3"}
*  with macro ...
   aPrinter  := &("{"+::GetPrinterNames()+"}")        // -> [{"Printer 1","Printer 2","Printer 3"}] -> {"Printer 1","Printer 2","Printer 3"}
return aPrinter
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddImageID(nImageID,cName)
   local lError := .f.
   do case
      case nImageID==NIL .or. cName==NIL .or. ValType(nImageID)#"N" .or. ValType(cName)#"C"
           lError := .t.
      case empty(nImageID) .or. empty(cName)
           lError := .t.
      otherwise
           cName := upper(alltrim(cName))
           do case
              case 0 # aScan(::aImageID,{|aZ| aZ[1]==nImageID .and. aZ[2]==cName })
                   // OK !
              case 0 # aScan(::aImageID,{|aZ| aZ[2]==cName })
                   lError := .t.        // cName muss einmalig sein / cName have to be unique
              otherwise
                   aadd(::aImageID,{nImageID,cName})
           end
   end
return ! lError
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RemoveImageID(xVal)
   local lError := .f., x, bSeek
   do case
      case xVal==NIL .or. ! valtype(xVal) $ "CN" .or. empty(xVal)
           lError := .t.
      case valtype(xVal) == "C"
           xVal  := upper(alltrim(xVal))
           bSeek := {|aZ| aZ[2]==xVal }

      case valtype(xVal) == "N"
           bSeek := {|aZ| aZ[1]==xVal }
   end
   if bSeek # NIL
      do while .t.
         x := aScan(::aImageID,bSeek)
         if x == 0
            exit
         else
            aRemove(::aImageID,x)
         endif
      enddo
   endif
return ! lError
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetImageIDByName(cName)
   local nImageID := 0  // not found, error !
   if valtype(cName)="C" .and. ! empty(cName)
      cName    := upper(alltrim(cName))
      nImageID := aScan(::aImageID,{|aZ| aZ[2]==cName })
   endif
return nImageID
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectImageByName(cName)
   local nImageID
   nImageID := ::GetImageIDByName(cName)
return ::SelectImage(nImageID)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddImageFile(cFileName, nOptions)  // -> QuickPDFAddImageFromFile(int InstanceID, char * FileName, int Options)
   local nImageID
   nImageID := ::GetImageIDByName(cFileName)                  // ist die Datei schon enthalten / only once
   if nImageID == 0
      nImageID := ::AddImageFromFile(cFileName, nOptions)
      if nImageID > 0 // OK !
         ::AddImageID(nImageID,cFileName)
      endif
   endif
return nImageID
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawImageFile(nLeft, nTop, nWidth, nHeight,nHAlign,nVAlign,nRotate,cFileName,nOptions)
                                // -> QuickPDFAddImageFromFile(int InstanceID, char * FileName, int Options)
                                // -> QuickPDFFitImage(Left, Top, Width, Height: Double; HAlign, VAlign, Rotate: Integer): Integer;
   local nImageID, lOK := .f.
   nImageID := ::AddImageFile(cFileName, nOptions)
   if nImageID > 0
      lOK := ::FitImage(nLeft, nTop, nWidth, nHeight,nHAlign,nVAlign,nRotate)
   endif
return lOK





**********************************************************************************************************************
// from TQuickPdf wrapper class
**********************************************************************************************************************
METHOD HBPrintPDF:AddArcToPath(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFAddArcToPath"} ,"__sl__sl__f8__f8__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddCJKFont(p1)
return FpQCall( {::_hdll_,"QuickPDFAddCJKFont"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddCurveToPath(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFAddCurveToPath"} ,"__sl__sl__f8__f8__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddEmbeddedFile(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAddEmbeddedFile"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddFileAttachment(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFAddFileAttachment"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddFormFieldSub(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAddFormFieldSub"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddFormFont(p1)
return FpQCall( {::_hdll_,"QuickPDFAddFormFont"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddGlobalJavaScript(p1,p2)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFAddGlobalJavaScript"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddImageFromFile(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAddImageFromFile"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddImageFromFileOffset(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFAddImageFromFileOffset"} ,"__sl__sl__pt__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddImageFromString(p1,p2)
local ptb := _xgrab(32);PokeStr(ptb,,3)
return ::_ptb_free_(FpQCall({::_hdll_,"QuickPDFAddImageFromString"},"__sl__sl__pt__sl",::_id_,::_b(p1,ptb,1),p2),ptb)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddLGIDictToPage(p1)                                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFAddLGIDictToPage"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddLineToPath(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAddLineToPath"} ,"__sl__sl__f8__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddLinkToEmbeddedFile(p1,p2,p3,p4,p5,p6,p7)                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFAddLinkToEmbeddedFile"} ,"__sl__sl__f8__f8__f8__f8__sl__pt__sl",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddLinkToFile(p1,p2,p3,p4,p5,p6,p7,p8,p9)                                   // *HB* return .t. / .f.  DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFAddLinkToFile"} ,"__sl__sl__f8__f8__f8__f8__pt__sl__f8__sl__sl",::_id_,p1,p2,p3,p4,p5,p6,p7,p8,p9)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddLinkToJavaScript(p1,p2,p3,p4,p5,p6)                                      // *HB* return .t. / .f.  DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFAddLinkToJavaScript"} ,"__sl__sl__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddLinkToPage(p1,p2,p3,p4,p5,p6,p7)                                         // *HB* return .t. / .f.  DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFAddLinkToPage"} ,"__sl__sl__f8__f8__f8__f8__sl__f8__sl",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddLinkToWeb(p1,p2,p3,p4,p5,p6)                                             // *HB* return .t. / .f.  DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFAddLinkToWeb"} ,"__sl__sl__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddNoteAnnotation(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13)               // *HB* return .t. / .f.  DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFAddNoteAnnotation"} ,"__sl__sl__f8__f8__sl__f8__f8__f8__f8__pt__pt__f8__f8__f8__sl",::_id_,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddPageLabels(p1,p2,p3,p4)                                                  // *HB* return .t. / .f.  DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFAddPageLabels"} ,"__sl__sl__sl__sl__sl__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddSeparationColor(p1,p2,p3,p4,p5,p6)                                       // *HB* return .t. / .f.  DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFAddSeparationColor"} ,"__sl__sl__pt__f8__f8__f8__f8__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddStandardFont(p1)
return FpQCall( {::_hdll_,"QuickPDFAddStandardFont"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddSubsettedFont(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFAddSubsettedFont"} ,"__sl__sl__pt__sl__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddSVGAnnotationFromFile(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFAddSVGAnnotationFromFile"} ,"__sl__sl__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddToBuffer(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFAddToBuffer"} ,"__sl__sl__pt__pt__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddToFileList(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAddToFileList"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddTrueTypeFont(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAddTrueTypeFont"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddTrueTypeFontFromFile(p1)
return FpQCall( {::_hdll_,"QuickPDFAddTrueTypeFontFromFile"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddType1Font(p1)
return FpQCall( {::_hdll_,"QuickPDFAddType1Font"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AddU3DAnnotationFromFile(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFAddU3DAnnotationFromFile"} ,"__sl__sl__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AnalyseFile(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAnalyseFile"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AnnotationCount()
return FpQCall( {::_hdll_,"QuickPDFAnnotationCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AppendSpace(p1)
return FpQCall( {::_hdll_,"QuickPDFAppendSpace"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AppendTableColumns(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAppendTableColumns"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AppendTableRows(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFAppendTableRows"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AppendText(p1)
return FpQCall( {::_hdll_,"QuickPDFAppendText"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ApplyStyle(p1)                                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFApplyStyle"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:AttachAnnotToForm(p1)                                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFAttachAnnotToForm"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:BeginPageUpdate()
return FpQCall( {::_hdll_,"QuickPDFBeginPageUpdate"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CapturePage(p1)
return FpQCall( {::_hdll_,"QuickPDFCapturePage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CapturePageEx(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFCapturePageEx"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CharWidth(p1)
return FpQCall( {::_hdll_,"QuickPDFCharWidth"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CheckObjects()
return FpQCall( {::_hdll_,"QuickPDFCheckObjects"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CheckPageAnnots()
return FpQCall( {::_hdll_,"QuickPDFCheckPageAnnots"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ClearFileList(p1)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFClearFileList"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ClearPageLabels()
return FpQCall( {::_hdll_,"QuickPDFClearPageLabels"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ClearTextFormatting()
return FpQCall( {::_hdll_,"QuickPDFClearTextFormatting"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CloneOutlineAction(p1)
return FpQCall( {::_hdll_,"QuickPDFCloneOutlineAction"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ClonePages(p1,p2,p3)                                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFClonePages"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CloseOutline(p1)                                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFCloseOutline"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ClosePath()
return FpQCall( {::_hdll_,"QuickPDFClosePath"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CombineLayers()                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFCombineLayers"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CompressContent()                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFCompressContent"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CompressFonts(p1)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFCompressFonts"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CompressImages(p1)                                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFCompressImages"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CompressPage()                                                              // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFCompressPage"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CopyPageRanges(p1,p2)                                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFCopyPageRanges"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CreateBuffer(p1)
return FpQCall({::_hdll_,"QuickPDFCreateBuffer"},"__pt__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:CreateTable(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFCreateTable"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAAppendFile(p1)
return FpQCall( {::_hdll_,"QuickPDFDAAppendFile"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DACapturePage(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDACapturePage"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DACapturePageEx(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFDACapturePageEx"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DACloseFile(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDACloseFile"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DADrawCapturedPage(p1,p2,p3,p4,p5,p6,p7)                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDADrawCapturedPage"} ,"__sl__sl__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAExtractPageText(p1,p2,p3)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDAExtractPageText"} ,"__pt__sl__sl__sl__sl",::_id_,p1,p2,p3))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAFindPage(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDAFindPage"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetFormFieldCount(p1)
return FpQCall( {::_hdll_,"QuickPDFDAGetFormFieldCount"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetFormFieldTitle(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDAGetFormFieldTitle"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetFormFieldValue(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDAGetFormFieldValue"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetImageDataToString(p1,p2,p3)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDAGetImageDataToString"} ,"__pt__sl__sl__sl__sl",::_id_,p1,p2,p3))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetImageDblProperty(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFDAGetImageDblProperty"} ,"__f8__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetImageIntProperty(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFDAGetImageIntProperty"} ,"__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetImageListCount(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDAGetImageListCount"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetInformation(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDAGetInformation"} ,"__pt__sl__sl__pt",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetObjectCount(p1)
return FpQCall( {::_hdll_,"QuickPDFDAGetObjectCount"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetObjectSource(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDAGetObjectSource"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetPageContent(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDAGetPageContent"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetPageCount(p1)
return FpQCall( {::_hdll_,"QuickPDFDAGetPageCount"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetPageHeight(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDAGetPageHeight"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetPageImageList(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDAGetPageImageList"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAGetPageWidth(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDAGetPageWidth"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAHidePage(p1,p2)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDAHidePage"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAMovePage(p1,p2,p3,p4)                                                     // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDAMovePage"} ,"__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DANewPage(p1)
return FpQCall( {::_hdll_,"QuickPDFDANewPage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DANewPages(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDANewPages"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAOpenFile(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDAOpenFile"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAOpenFileReadOnly(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDAOpenFileReadOnly"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DAPageRotation(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFDAPageRotation"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DARenderPageToDC(p1,p2,p3,p4)                                               // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDARenderPageToDC"} ,"__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DARenderPageToFile(p1,p2,p3,p4,p5)
return FpQCall( {::_hdll_,"QuickPDFDARenderPageToFile"} ,"__sl__sl__sl__sl__sl__sl__pt",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DARenderPageToString(p1,p2,p3,p4)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDARenderPageToString"} ,"__pt__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DARotatePage(p1,p2,p3,p4)                                                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDARotatePage"} ,"__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DASaveAsFile(p1,p2)                                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDASaveAsFile"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DASaveImageDataToFile(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFDASaveImageDataToFile"} ,"__sl__sl__sl__sl__sl__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DASetInformation(p1,p2,p3)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDASetInformation"} ,"__sl__sl__sl__pt__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DASetPageSize(p1,p2,p3,p4)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDASetPageSize"} ,"__sl__sl__sl__sl__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:Decrypt()                                                                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDecrypt"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DecryptFile(p1,p2,p3)                                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDecryptFile"} ,"__sl__sl__pt__pt__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DeleteAnalysis(p1)                                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDeleteAnalysis"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DeleteAnnotation(p1)                                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDeleteAnnotation"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DeleteFormField(p1)                                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDeleteFormField"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DeleteLayer()                                                               // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDeleteLayer"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DeleteOptionalContentGroup(p1)                                              // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFDeleteOptionalContentGroup"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DeletePageLGIDict(p1)                                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDeletePageLGIDict"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DeletePages(p1,p2)                                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDeletePages"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DocJavaScriptAction(p1,p2)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDocJavaScriptAction"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DocumentCount()
return FpQCall( {::_hdll_,"QuickPDFDocumentCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawArc(p1,p2,p3,p4,p5,p6,p7)                                               // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawArc"} ,"__sl__sl__f8__f8__f8__f8__f8__sl__sl",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawBarcode(p1,p2,p3,p4,p5,p6,p7)                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawBarcode"} ,"__sl__sl__f8__f8__f8__f8__pt__sl__sl",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawBox(p1,p2,p3,p4,p5)                                                     // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawBox"} ,"__sl__sl__f8__f8__f8__f8__sl",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawCapturedPage(p1,p2,p3,p4,p5)                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawCapturedPage"} ,"__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawCircle(p1,p2,p3,p4)                                                     // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawCircle"} ,"__sl__sl__f8__f8__f8__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawDataMatrixSymbol(p1,p2,p3,p4,p5,p6,p7)                                  // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawDataMatrixSymbol"} ,"__sl__sl__f8__f8__f8__pt__sl__sl__sl",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawEllipse(p1,p2,p3,p4,p5)                                                 // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawEllipse"} ,"__sl__sl__f8__f8__f8__f8__sl",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawEllipticArc(p1,p2,p3,p4,p5,p6,p7,p8)                                    // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawEllipticArc"} ,"__sl__sl__f8__f8__f8__f8__f8__f8__sl__sl",::_id_,p1,p2,p3,p4,p5,p6,p7,p8)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawHTMLText(p1,p2,p3,p4)                                                   // *HB* return .t. / .f. DOKU ?
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawHTMLText"} ,"__sl__sl__f8__f8__f8__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawHTMLTextBox(p1,p2,p3,p4,p5)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFDrawHTMLTextBox"} ,"__pt__sl__f8__f8__f8__f8__pt",::_id_,p1,p2,p3,p4,p5))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawImage(p1,p2,p3,p4)                                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawImage"} ,"__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawLine(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFDrawLine"} ,"__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawMultiLineText(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFDrawMultiLineText"} ,"__sl__sl__f8__f8__pt__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawPath(p1)
return FpQCall( {::_hdll_,"QuickPDFDrawPath"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawPathEvenOdd(p1)
return FpQCall( {::_hdll_,"QuickPDFDrawPathEvenOdd"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawPostScriptXObject(p1)                                                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawPostScriptXObject"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawRotatedCapturedPage(p1,p2,p3,p4,p5,p6)                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawRotatedCapturedPage"} ,"__sl__sl__sl__f8__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawRotatedImage(p1,p2,p3,p4,p5)                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawRotatedImage"} ,"__sl__sl__f8__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawRotatedText(p1,p2,p3,p4)                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawRotatedText"} ,"__sl__sl__f8__f8__f8__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawRotatedTextBox(p1,p2,p3,p4,p5,p6,p7)
return FpQCall( {::_hdll_,"QuickPDFDrawRotatedTextBox"} ,"__sl__sl__f8__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawRoundedBox(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFDrawRoundedBox"} ,"__sl__sl__f8__f8__f8__f8__f8__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawScaledImage(p1,p2,p3)                                                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawScaledImage"} ,"__sl__sl__f8__f8__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawSpacedText(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFDrawSpacedText"} ,"__sl__sl__f8__f8__f8__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawTableRows(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFDrawTableRows"} ,"__f8__sl__sl__f8__f8__f8__sl__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawText(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFDrawText"} ,"__sl__sl__f8__f8__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawTextArc(p1,p2,p3,p4,p5,p6)                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFDrawTextArc"} ,"__sl__sl__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawTextBox(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFDrawTextBox"} ,"__sl__sl__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:DrawWrappedText(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFDrawWrappedText"} ,"__sl__sl__f8__f8__f8__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EditableLayer()                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFEditableLayer"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EmbeddedFileCount()
return FpQCall( {::_hdll_,"QuickPDFEmbeddedFileCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EmbedFile(p1,p2,p3)                                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFEmbedFile"} ,"__sl__sl__pt__pt__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EncapsulateLayer()
return FpQCall( {::_hdll_,"QuickPDFEncapsulateLayer"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EncodePermissions(p1,p2,p3,p4,p5,p6,p7,p8)
return FpQCall( {::_hdll_,"QuickPDFEncodePermissions"} ,"__sl__sl__sl__sl__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4,p5,p6,p7,p8)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:Encrypt(p1,p2,p3,p4)                                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFEncrypt"} ,"__sl__sl__pt__pt__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EncryptFile(p1,p2,p3,p4,p5,p6)                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFEncryptFile"} ,"__sl__sl__pt__pt__pt__pt__sl__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EncryptionAlgorithm()
return FpQCall( {::_hdll_,"QuickPDFEncryptionAlgorithm"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EncryptionStatus()
return FpQCall( {::_hdll_,"QuickPDFEncryptionStatus"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EncryptionStrength()
return FpQCall( {::_hdll_,"QuickPDFEncryptionStrength"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EncryptWithFingerprint(p1)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFEncryptWithFingerprint"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:EndPageUpdate()
return FpQCall( {::_hdll_,"QuickPDFEndPageUpdate"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ExtractFilePageContent(p1,p2,p3)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFExtractFilePageContent"} ,"__pt__sl__pt__pt__sl",::_id_,p1,p2,p3))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ExtractFilePages(p1,p2,p3)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFExtractFilePages"} ,"__sl__sl__pt__pt__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ExtractFilePageText(p1,p2,p3,p4)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFExtractFilePageText"} ,"__pt__sl__pt__pt__sl__sl",::_id_,p1,p2,p3,p4))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ExtractPageRanges(p1)                                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFExtractPageRanges"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ExtractPages(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFExtractPages"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FileListCount(p1)
return FpQCall( {::_hdll_,"QuickPDFFileListCount"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FileListItem(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFFileListItem"} ,"__pt__sl__pt__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FindFonts()
return FpQCall( {::_hdll_,"QuickPDFFindFonts"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FindFormFieldByTitle(p1)
return FpQCall( {::_hdll_,"QuickPDFFindFormFieldByTitle"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FindImages()
return FpQCall( {::_hdll_,"QuickPDFFindImages"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FitImage(p1,p2,p3,p4,p5,p6,p7)                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFFitImage"} ,"__sl__sl__f8__f8__f8__f8__sl__sl__sl",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FitRotatedTextBox(p1,p2,p3,p4,p5,p6,p7)                                     // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFFitRotatedTextBox"} ,"__sl__sl__f8__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FitTextBox(p1,p2,p3,p4,p5,p6)                                               // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFFitTextBox"} ,"__sl__sl__f8__f8__f8__f8__pt__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FlattenFormField(p1)                                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFFlattenFormField"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FontCount()
return FpQCall( {::_hdll_,"QuickPDFFontCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FontFamily()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFFontFamily"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FontHasKerning()                                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFFontHasKerning"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FontName()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFFontName"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FontReference()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFFontReference"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FontSize()
return FpQCall( {::_hdll_,"QuickPDFFontSize"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FontType()
return FpQCall( {::_hdll_,"QuickPDFFontType"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FormFieldCount()
return FpQCall( {::_hdll_,"QuickPDFFormFieldCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FormFieldHasParent(p1)
return FpQCall( {::_hdll_,"QuickPDFFormFieldHasParent"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FormFieldJavaScriptAction(p1,p2,p3)                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFFormFieldJavaScriptAction"} ,"__sl__sl__sl__pt__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:FormFieldWebLinkAction(p1,p2,p3)                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFFormFieldWebLinkAction"} ,"__sl__sl__sl__pt__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetActionType(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetActionType"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetAnalysisInfo(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetAnalysisInfo"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetAnnotActionID(p1)
return FpQCall( {::_hdll_,"QuickPDFGetAnnotActionID"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetAnnotDblProperty(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetAnnotDblProperty"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetAnnotIntProperty(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetAnnotIntProperty"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetAnnotStrProperty(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetAnnotStrProperty"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetBarcodeWidth(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFGetBarcodeWidth"} ,"__f8__sl__f8__pt__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetCanvasDC(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetCanvasDC"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetCatalogInformation(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetCatalogInformation"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetCustomInformation(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetCustomInformation"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetCustomKeys(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetCustomKeys"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDefaultPrinterName()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetDefaultPrinterName"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDestPage(p1)
return FpQCall( {::_hdll_,"QuickPDFGetDestPage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDestType(p1)
return FpQCall( {::_hdll_,"QuickPDFGetDestType"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDestValue(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetDestValue"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDocJavaScript(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetDocJavaScript"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDocumentFileName()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetDocumentFileName"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDocumentID(p1)
return FpQCall( {::_hdll_,"QuickPDFGetDocumentID"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDocumentIdentifier(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetDocumentIdentifier"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDocumentMetadata()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetDocumentMetadata"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetDocumentResourceList()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetDocumentResourceList"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetEmbeddedFileContentToFile(p1,p2)                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFGetEmbeddedFileContentToFile"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetEmbeddedFileContentToString(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetEmbeddedFileContentToString"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetEmbeddedFileIntProperty(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetEmbeddedFileIntProperty"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetEmbeddedFileStrProperty(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetEmbeddedFileStrProperty"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetEncryptionFingerprint()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetEncryptionFingerprint"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFileMetadata(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFileMetadata"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFirstChildOutline(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFirstChildOutline"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFirstOutline()
return FpQCall( {::_hdll_,"QuickPDFGetFirstOutline"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFontID(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFontID"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFontObjectNumber()
return FpQCall( {::_hdll_,"QuickPDFGetFontObjectNumber"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldAlignment(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldAlignment"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldAnnotFlags(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldAnnotFlags"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldBackgroundColor(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldBackgroundColor"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldBorderColor(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldBorderColor"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldBorderProperty(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldBorderProperty"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldBorderStyle(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldBorderStyle"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldBound(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldBound"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldCaption(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldCaption"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldChildTitle(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldChildTitle"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldChoiceType(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldChoiceType"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldColor(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldColor"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldComb(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldComb"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldDefaultValue(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldDefaultValue"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldDescription(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldDescription"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldFlags(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldFlags"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldFontName(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldFontName"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldJavaScript(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldJavaScript"} ,"__pt__sl__sl__pt",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldKidCount(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldKidCount"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldMaxLen(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldMaxLen"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldPage(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldPage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldPrintable(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldPrintable"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldReadOnly(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldReadOnly"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldRotation(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldRotation"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldSubCount(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldSubCount"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldSubName(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldSubName"} ,"__pt__sl__sl__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldSubTempIndex(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldSubTempIndex"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldTabOrder(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldTabOrder"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldTextFlags(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldTextFlags"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldTextSize(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldTextSize"} ,"__f8__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldTitle(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldTitle"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldType(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldType"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldValue(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldValue"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldValueByTitle(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldValueByTitle"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldVisible(p1)
return FpQCall( {::_hdll_,"QuickPDFGetFormFieldVisible"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFieldWebLink(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFieldWebLink"} ,"__pt__sl__sl__pt",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFontCount()
return FpQCall( {::_hdll_,"QuickPDFGetFormFontCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetFormFontName(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetFormFontName"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetGlobalJavaScript(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetGlobalJavaScript"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetHTMLTextHeight(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetHTMLTextHeight"} ,"__f8__sl__f8__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetHTMLTextLineCount(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetHTMLTextLineCount"} ,"__sl__sl__f8__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetHTMLTextWidth(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetHTMLTextWidth"} ,"__f8__sl__f8__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetImageID(p1)
return FpQCall( {::_hdll_,"QuickPDFGetImageID"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetImagePageCount(p1)
return FpQCall( {::_hdll_,"QuickPDFGetImagePageCount"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetInformation(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetInformation"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetKerning(p1)
return FpQCall( {::_hdll_,"QuickPDFGetKerning"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetNamedDestination(p1)
return FpQCall( {::_hdll_,"QuickPDFGetNamedDestination"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetNextOutline(p1)
return FpQCall( {::_hdll_,"QuickPDFGetNextOutline"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetObjectCount()
return FpQCall( {::_hdll_,"QuickPDFGetObjectCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetObjectSource(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetObjectSource"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOpenActionDestination()
return FpQCall( {::_hdll_,"QuickPDFGetOpenActionDestination"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOpenActionJavaScript()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetOpenActionJavaScript"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOptionalContentGroupID(p1)
return FpQCall( {::_hdll_,"QuickPDFGetOptionalContentGroupID"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOptionalContentGroupName(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetOptionalContentGroupName"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOrigin()
return FpQCall( {::_hdll_,"QuickPDFGetOrigin"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlineActionID(p1)
return FpQCall( {::_hdll_,"QuickPDFGetOutlineActionID"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlineColor(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetOutlineColor"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlineDest(p1)
return FpQCall( {::_hdll_,"QuickPDFGetOutlineDest"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlineID(p1)
return FpQCall( {::_hdll_,"QuickPDFGetOutlineID"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlineJavaScript(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetOutlineJavaScript"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlineOpenFile(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetOutlineOpenFile"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlinePage(p1)
return FpQCall( {::_hdll_,"QuickPDFGetOutlinePage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlineStyle(p1)
return FpQCall( {::_hdll_,"QuickPDFGetOutlineStyle"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetOutlineWebLink(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetOutlineWebLink"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageBox(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetPageBox"} ,"__f8__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageContent()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetPageContent"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageJavaScript(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetPageJavaScript"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageLabel(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetPageLabel"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageLayout()
return FpQCall( {::_hdll_,"QuickPDFGetPageLayout"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageLGIDictContent(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetPageLGIDictContent"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageLGIDictCount()
return FpQCall( {::_hdll_,"QuickPDFGetPageLGIDictCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageMode()
return FpQCall( {::_hdll_,"QuickPDFGetPageMode"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPageText(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetPageText"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetParentOutline(p1)
return FpQCall( {::_hdll_,"QuickPDFGetParentOutline"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPrevOutline(p1)
return FpQCall( {::_hdll_,"QuickPDFGetPrevOutline"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPrinterBins(p1)                                                        // -> ::GetPrinterBinA(p1) -> Array
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetPrinterBins"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetPrinterNames()                                                         // -> ::GetPrinterNameA()  -> Array
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetPrinterNames"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetSubsetString(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetSubsetString"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTableCellDblProperty(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFGetTableCellDblProperty"} ,"__f8__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTableCellIntProperty(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFGetTableCellIntProperty"} ,"__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTableCellStrProperty(p1,p2,p3,p4)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetTableCellStrProperty"} ,"__pt__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTableColumnCount(p1)
return FpQCall( {::_hdll_,"QuickPDFGetTableColumnCount"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTableLastDrawnRow(p1)
return FpQCall( {::_hdll_,"QuickPDFGetTableLastDrawnRow"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTableRowCount(p1)
return FpQCall( {::_hdll_,"QuickPDFGetTableRowCount"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTempPath()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetTempPath"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTextAscent()
return FpQCall( {::_hdll_,"QuickPDFGetTextAscent"} ,"__f8__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTextBound(p1)
return FpQCall( {::_hdll_,"QuickPDFGetTextBound"} ,"__f8__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTextDescent()
return FpQCall( {::_hdll_,"QuickPDFGetTextDescent"} ,"__f8__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTextHeight()
return FpQCall( {::_hdll_,"QuickPDFGetTextHeight"} ,"__f8__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTextSize()
return FpQCall( {::_hdll_,"QuickPDFGetTextSize"} ,"__f8__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetTextWidth(p1)
return FpQCall( {::_hdll_,"QuickPDFGetTextWidth"} ,"__f8__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetViewerPreferences(p1)
return FpQCall( {::_hdll_,"QuickPDFGetViewerPreferences"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetWrappedText(p1,p2,p3)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetWrappedText"} ,"__pt__sl__f8__pt__pt",::_id_,p1,p2,p3))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetWrappedTextBreakString(p1,p2,p3)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetWrappedTextBreakString"} ,"__pt__sl__f8__pt__pt",::_id_,p1,p2,p3))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetWrappedTextHeight(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetWrappedTextHeight"} ,"__f8__sl__f8__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetWrappedTextLineCount(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFGetWrappedTextLineCount"} ,"__sl__sl__f8__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetXFAFormFieldCount()
return FpQCall( {::_hdll_,"QuickPDFGetXFAFormFieldCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetXFAFormFieldName(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetXFAFormFieldName"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetXFAFormFieldNames(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetXFAFormFieldNames"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GetXFAFormFieldValue(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGetXFAFormFieldValue"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GlobalJavaScriptCount()
return FpQCall( {::_hdll_,"QuickPDFGlobalJavaScriptCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:GlobalJavaScriptPackageName(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFGlobalJavaScriptPackageName"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:HasFontResources()                                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFHasFontResources"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:HasPageBox(p1)
return FpQCall( {::_hdll_,"QuickPDFHasPageBox"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:HidePage()
return FpQCall( {::_hdll_,"QuickPDFHidePage"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImageCount()
return FpQCall( {::_hdll_,"QuickPDFImageCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImageFillColor()
return FpQCall( {::_hdll_,"QuickPDFImageFillColor"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImageHeight()
return FpQCall( {::_hdll_,"QuickPDFImageHeight"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImageHorizontalResolution()
return FpQCall( {::_hdll_,"QuickPDFImageHorizontalResolution"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImageResolutionUnits()
return FpQCall( {::_hdll_,"QuickPDFImageResolutionUnits"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImageType()
return FpQCall( {::_hdll_,"QuickPDFImageType"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImageVerticalResolution()
return FpQCall( {::_hdll_,"QuickPDFImageVerticalResolution"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImageWidth()
return FpQCall( {::_hdll_,"QuickPDFImageWidth"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ImportEMFFromFile(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFImportEMFFromFile"} ,"__sl__sl__pt__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:InsertPages(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFInsertPages"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:InsertTableColumns(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFInsertTableColumns"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:InsertTableRows(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFInsertTableRows"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:IsAnnotFormField(p1)
return FpQCall( {::_hdll_,"QuickPDFIsAnnotFormField"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LastErrorCode()
return FpQCall( {::_hdll_,"QuickPDFLastErrorCode"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LastRenderError()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFLastRenderError"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LayerCount()
return FpQCall( {::_hdll_,"QuickPDFLayerCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LayerSafe()                                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFLayerSafe"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LibraryVersion()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFLibraryVersion"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LicenseInfo()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFLicenseInfo"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:Linearized()                                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFLinearized"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LoadFromCanvasDC(p1,p2)                                                     // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFLoadFromCanvasDC"} ,"__sl__sl__f8__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LoadFromFile(p1)
return FpQCall( {::_hdll_,"QuickPDFLoadFromFile"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LoadFromString(p1)
local ptb := _xgrab(32);PokeStr(ptb,,2)
return ::_ptb_free_(FpQCall({::_hdll_,"QuickPDFLoadFromString"},"__sl__sl__pt",::_id_,::_b(p1,ptb,1)),ptb)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:LoadState()
return FpQCall( {::_hdll_,"QuickPDFLoadState"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MergeDocument(p1)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFMergeDocument"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MergeFileList(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFMergeFileList"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MergeFileListFast(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFMergeFileListFast"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MergeFiles(p1,p2,p3)                                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFMergeFiles"} ,"__sl__sl__pt__pt__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MergeTableCells(p1,p2,p3,p4,p5)
return FpQCall( {::_hdll_,"QuickPDFMergeTableCells"} ,"__sl__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MoveLayer(p1,p2)                                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFMoveLayer"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MoveOutlineAfter(p1,p2)                                                     // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFMoveOutlineAfter"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MoveOutlineBefore(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFMoveOutlineBefore"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MovePage(p1)                                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFMovePage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MovePath(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFMovePath"} ,"__sl__sl__f8__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:MultiplyScale(p1)
return FpQCall( {::_hdll_,"QuickPDFMultiplyScale"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewChildFormField(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFNewChildFormField"} ,"__sl__sl__sl__pt__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewCustomPrinter(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFNewCustomPrinter"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewDocument()
return FpQCall( {::_hdll_,"QuickPDFNewDocument"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewFormField(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFNewFormField"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewLayer()
return FpQCall( {::_hdll_,"QuickPDFNewLayer"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewOptionalContentGroup(p1)
return FpQCall( {::_hdll_,"QuickPDFNewOptionalContentGroup"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewOutline(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFNewOutline"} ,"__sl__sl__sl__pt__sl__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewPage()                                                 // *HB* return 0==Error else set ::nPageNo
   local nReturn
   nReturn := FpQCall( {::_hdll_,"QuickPDFNewPage"} ,"__sl__sl",::_id_)
   if nReturn > 0
      ::nPageNo := nReturn
   endif
return nReturn
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewPages(p1)                                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFNewPages"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewPostScriptXObject(p1)
return FpQCall( {::_hdll_,"QuickPDFNewPostScriptXObject"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewRGBAxialShader(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12)                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFNewRGBAxialShader"} ,"__sl__sl__pt__f8__f8__f8__f8__f8__f8__f8__f8__f8__f8__sl",::_id_,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:NewStaticOutline(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFNewStaticOutline"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:OpenOutline(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFOpenOutline"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:OptionalContentGroupCount()
return FpQCall( {::_hdll_,"QuickPDFOptionalContentGroupCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:OutlineCount()
return FpQCall( {::_hdll_,"QuickPDFOutlineCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:OutlineTitle(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFOutlineTitle"} ,"__pt__sl__sl",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:PageCount()
return FpQCall( {::_hdll_,"QuickPDFPageCount"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:PageHeight()
return FpQCall( {::_hdll_,"QuickPDFPageHeight"} ,"__f8__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:PageJavaScriptAction(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFPageJavaScriptAction"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:PageRotation()
return FpQCall( {::_hdll_,"QuickPDFPageRotation"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:PageWidth()
return FpQCall( {::_hdll_,"QuickPDFPageWidth"} ,"__f8__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:PrintDocument(p1,p2,p3,p4)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFPrintDocument"} ,"__sl__sl__pt__sl__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:PrintDocumentToFile(p1,p2,p3,p4,p5)
return FpQCall( {::_hdll_,"QuickPDFPrintDocumentToFile"} ,"__sl__sl__pt__sl__sl__sl__pt",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:PrintOptions(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFPrintOptions"} ,"__sl__sl__sl__sl__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ReleaseBuffer(p1)                                                           // *HB* return .t. / .f.
return 0 = FpQCall( {::_hdll_,"QuickPDFReleaseBuffer"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ReleaseLibrary()                                                        // NEW *HB* return .t. / .f.
   local lOK
   if empty(::_id_)
      lOK := .t.
   else
      if 1 == FpQCall( {::_hdll_,"QuickPDFReleaseLibrary"} ,"__sl__sl",::_id_)
         lOK := .t.
         ::_id_ := 0
      else
         lOK := .f.
      endif
   endif
return lOK
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RemoveAppearanceStream(p1)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFRemoveAppearanceStream"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RemoveDocument(p1)                                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFRemoveDocument"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RemoveOutline(p1)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFRemoveOutline"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RemoveSharedLayers()
return FpQCall( {::_hdll_,"QuickPDFRemoveSharedLayers"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RemoveStyle(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFRemoveStyle"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RenderDocumentToFile(p1,p2,p3,p4,p5)                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFRenderDocumentToFile"} ,"__sl__sl__sl__sl__sl__sl__pt",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RenderPageToDC(p1,p2,p3)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFRenderPageToDC"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RenderPageToFile(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFRenderPageToFile"} ,"__sl__sl__sl__sl__sl__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RenderPageToString(p1,p2,p3)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFRenderPageToString"} ,"__pt__sl__sl__sl__sl",::_id_,p1,p2,p3))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ReplaceFonts()
return FpQCall( {::_hdll_,"QuickPDFReplaceFonts"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ReplaceImage(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFReplaceImage"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ReplaceTag(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFReplaceTag"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RetrieveCustomDataToFile(p1,p2,p3)                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFRetrieveCustomDataToFile"} ,"__sl__sl__pt__pt__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RetrieveCustomDataToString(p1,p2)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFRetrieveCustomDataToString"} ,"__pt__sl__pt__sl",::_id_,p1,p2))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ReverseImage(p1)
return FpQCall( {::_hdll_,"QuickPDFReverseImage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:RotatePage(p1)                                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFRotatePage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SaveFontToFile(p1)                                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSaveFontToFile"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SaveImageToFile(p1)                                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSaveImageToFile"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SaveState()
return FpQCall( {::_hdll_,"QuickPDFSaveState"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SaveStyle(p1)
return FpQCall( {::_hdll_,"QuickPDFSaveStyle"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SaveToFile(p1)                                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSaveToFile"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SaveToString()
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFSaveToString"} ,"__pt__sl",::_id_))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SecurityInfo(p1)
return FpQCall( {::_hdll_,"QuickPDFSecurityInfo"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectDocument(p1)                                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSelectDocument"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectedDocument()
return FpQCall( {::_hdll_,"QuickPDFSelectedDocument"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectedFont()
return FpQCall( {::_hdll_,"QuickPDFSelectedFont"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectedImage()
return FpQCall( {::_hdll_,"QuickPDFSelectedImage"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectedPage()
return FpQCall( {::_hdll_,"QuickPDFSelectedPage"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectFont(p1)                                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSelectFont"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectImage(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSelectImage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectLayer(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSelectLayer"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SelectPage(p1)                                                              // *HB* return .t. / .f. set ::nPageNo
   local lOK
   lOK := ( 1 == FpQCall( {::_hdll_,"QuickPDFSelectPage"} ,"__sl__sl__sl",::_id_,p1) )
   if lOK
      ::nPageNo := p1
   endif
return lOK
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetAdvancePassword(p1)
return FpQCall( {::_hdll_,"QuickPDFSetAdvancePassword"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetAnnotContents(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetAnnotContents"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetAnnotStrProperty(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFSetAnnotStrProperty"} ,"__sl__sl__sl__sl__pt",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetBaseURL(p1)
return FpQCall( {::_hdll_,"QuickPDFSetBaseURL"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetBlendMode(p1)
return FpQCall( {::_hdll_,"QuickPDFSetBlendMode"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetBreakString(p1)
return FpQCall( {::_hdll_,"QuickPDFSetBreakString"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetCapturedPageOptional(p1,p2)                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetCapturedPageOptional"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetCatalogInformation(p1,p2)                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetCatalogInformation"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetCharWidth(p1,p2)                                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetCharWidth"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetClippingPath()
return FpQCall( {::_hdll_,"QuickPDFSetClippingPath"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetClippingPathEvenOdd()
return FpQCall( {::_hdll_,"QuickPDFSetClippingPathEvenOdd"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetCropBox(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetCropBox"} ,"__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetCustomInformation(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetCustomInformation"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetCustomLineDash(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetCustomLineDash"} ,"__sl__sl__pt__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetDocumentMetadata(p1)                                                     // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetDocumentMetadata"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFillColor(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFSetFillColor"} ,"__sl__sl__f8__f8__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFillColorCMYK(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetFillColorCMYK"} ,"__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFillColorSep(p1,p2)                                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFillColorSep"} ,"__sl__sl__pt__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFillShader(p1)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFillShader"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFontEncoding(p1)                                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFontEncoding"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFontFlags(p1,p2,p3,p4,p5,p6,p7,p8)                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFontFlags"} ,"__sl__sl__sl__sl__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4,p5,p6,p7,p8)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldAlignment(p1,p2)                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldAlignment"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldAnnotFlags(p1,p2)                                               // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldAnnotFlags"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldBackgroundColor(p1,p2,p3,p4)                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldBackgroundColor"} ,"__sl__sl__sl__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldBackgroundColorCMYK(p1,p2,p3,p4,p5)                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldBackgroundColorCMYK"} ,"__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldBackgroundColorSep(p1,p2,p3)                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldBackgroundColorSep"} ,"__sl__sl__sl__pt__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldBorderColor(p1,p2,p3,p4)                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldBorderColor"} ,"__sl__sl__sl__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldBorderColorCMYK(p1,p2,p3,p4,p5)                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldBorderColorCMYK"} ,"__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldBorderColorSep(p1,p2,p3)                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldBorderColorSep"} ,"__sl__sl__sl__pt__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldBorderStyle(p1,p2,p3,p4,p5)                                     // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldBorderStyle"} ,"__sl__sl__sl__f8__sl__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldBounds(p1,p2,p3,p4,p5)                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldBounds"} ,"__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldCalcOrder(p1,p2)                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldCalcOrder"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldCaption(p1,p2)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldCaption"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldCheckStyle(p1,p2,p3)                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldCheckStyle"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldChildTitle(p1,p2)                                               // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldChildTitle"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldColor(p1,p2,p3,p4)                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldColor"} ,"__sl__sl__sl__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldColorCMYK(p1,p2,p3,p4,p5)                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldColorCMYK"} ,"__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldColorSep(p1,p2,p3)                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldColorSep"} ,"__sl__sl__sl__pt__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldComb(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetFormFieldComb"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldDefaultValue(p1,p2)                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldDefaultValue"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldDescription(p1,p2)                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldDescription"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldFlags(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldFlags"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldFont(p1,p2)                                                     // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldFont"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldHighlightMode(p1,p2)                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldHighlightMode"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldIcon(p1,p2,p3)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldIcon"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldIconStyle(p1,p2,p3,p4,p5,p6)                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldIconStyle"} ,"__sl__sl__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldMaxLen(p1,p2)                                                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldMaxLen"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldOptional(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldOptional"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldPage(p1,p2)                                                     // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldPage"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldPrintable(p1,p2)                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldPrintable"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldReadOnly(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldReadOnly"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldRotation(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldRotation"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldStandardFont(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetFormFieldStandardFont"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldTabOrder(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldTabOrder"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldTextFlags(p1,p2,p3,p4,p5,p6)                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldTextFlags"} ,"__sl__sl__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldTextSize(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldTextSize"} ,"__sl__sl__sl__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldValue(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldValue"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldValueByTitle(p1,p2)                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldValueByTitle"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetFormFieldVisible(p1,p2)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetFormFieldVisible"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetGDIPlusFileName(p1)                                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetGDIPlusFileName"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetGDIPlusOptions(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetGDIPlusOptions"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetHTMLBoldFont(p1,p2)                                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetHTMLBoldFont"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetHTMLBoldItalicFont(p1,p2)                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetHTMLBoldItalicFont"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetHTMLItalicFont(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetHTMLItalicFont"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetHTMLNormalFont(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetHTMLNormalFont"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetImageAsMask(p1)
return FpQCall( {::_hdll_,"QuickPDFSetImageAsMask"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetImageMask(p1,p2,p3,p4,p5,p6)                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetImageMask"} ,"__sl__sl__f8__f8__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetImageMaskCMYK(p1,p2,p3,p4,p5,p6,p7,p8)                                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetImageMaskCMYK"} ,"__sl__sl__f8__f8__f8__f8__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7,p8)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetImageMaskFromImage(p1)
return FpQCall( {::_hdll_,"QuickPDFSetImageMaskFromImage"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetImageOptional(p1)
return FpQCall( {::_hdll_,"QuickPDFSetImageOptional"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetInformation(p1,p2)                                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetInformation"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetJavaScriptMode(p1)
return FpQCall( {::_hdll_,"QuickPDFSetJavaScriptMode"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetJPEGQuality(p1)
return FpQCall( {::_hdll_,"QuickPDFSetJPEGQuality"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetKerning(p1,p2)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetKerning"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLayerOptional(p1)                                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetLayerOptional"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLineCap(p1)                                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetLineCap"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLineColor(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFSetLineColor"} ,"__sl__sl__f8__f8__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLineColorCMYK(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetLineColorCMYK"} ,"__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLineColorSep(p1,p2)                                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetLineColorSep"} ,"__sl__sl__pt__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLineDash(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetLineDash"} ,"__sl__sl__f8__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLineJoin(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetLineJoin"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLineShader(p1)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetLineShader"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetLineWidth(p1)
return FpQCall( {::_hdll_,"QuickPDFSetLineWidth"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetMeasurementUnits(p1)
return FpQCall( {::_hdll_,"QuickPDFSetMeasurementUnits"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetNeedAppearances(p1)                                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetNeedAppearances"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOpenActionDestination(p1,p2)                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOpenActionDestination"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOpenActionDestinationFull(p1,p2,p3,p4,p5,p6,p7)                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOpenActionDestinationFull"} ,"__sl__sl__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOpenActionJavaScript(p1)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOpenActionJavaScript"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOpenActionMenu(p1)                                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOpenActionMenu"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOptionalContentGroupPrintable(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetOptionalContentGroupPrintable"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOptionalContentGroupVisible(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetOptionalContentGroupVisible"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOrigin(p1)
return FpQCall( {::_hdll_,"QuickPDFSetOrigin"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineColor(p1,p2,p3,p4)                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineColor"} ,"__sl__sl__sl__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineDestination(p1,p2,p3)                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineDestination"} ,"__sl__sl__sl__sl__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineDestinationFull(p1,p2,p3,p4,p5,p6,p7,p8)                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineDestinationFull"} ,"__sl__sl__sl__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7,p8)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineDestinationZoom(p1,p2,p3,p4)                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineDestinationZoom"} ,"__sl__sl__sl__sl__f8__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineJavaScript(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineJavaScript"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineOpenFile(p1,p2)                                                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineOpenFile"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineStyle(p1,p2,p3)                                                   // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineStyle"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineTitle(p1,p2)                                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineTitle"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetOutlineWebLink(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetOutlineWebLink"} ,"__sl__sl__sl__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageActionMenu(p1)                                                       // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetPageActionMenu"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageBox(p1,p2,p3,p4,p5)
return FpQCall( {::_hdll_,"QuickPDFSetPageBox"} ,"__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageContent(p1)
return FpQCall( {::_hdll_,"QuickPDFSetPageContent"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageDimensions(p1,p2)                                                    // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetPageDimensions"} ,"__sl__sl__f8__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageLayout(p1)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetPageLayout"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageMode(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetPageMode"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageSize(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetPageSize"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageThumbnail()                                                          // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetPageThumbnail"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPageTransparencyGroup(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFSetPageTransparencyGroup"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPassword(p1)
return FpQCall( {::_hdll_,"QuickPDFSetPassword"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPNGTransparencyColor(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFSetPNGTransparencyColor"} ,"__sl__sl__sl__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetPrecision(p1)                                                            // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetPrecision"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetScale(p1)
return FpQCall( {::_hdll_,"QuickPDFSetScale"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableBorderColor(p1,p2,p3,p4,p5)
return FpQCall( {::_hdll_,"QuickPDFSetTableBorderColor"} ,"__sl__sl__sl__sl__f8__f8__f8",::_id_,p1,p2,p3,p4,p5)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableBorderColorCMYK(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFSetTableBorderColorCMYK"} ,"__sl__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableBorderWidth(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFSetTableBorderWidth"} ,"__sl__sl__sl__sl__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellAlignment(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellAlignment"} ,"__sl__sl__sl__sl__sl__sl__sl__sl",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellBackgroundColor(p1,p2,p3,p4,p5,p6,p7,p8)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellBackgroundColor"} ,"__sl__sl__sl__sl__sl__sl__sl__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7,p8)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellBackgroundColorCMYK(p1,p2,p3,p4,p5,p6,p7,p8,p9)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellBackgroundColorCMYK"} ,"__sl__sl__sl__sl__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7,p8,p9)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellBorderColor(p1,p2,p3,p4,p5,p6,p7,p8,p9)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellBorderColor"} ,"__sl__sl__sl__sl__sl__sl__sl__sl__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7,p8,p9)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellBorderColorCMYK(p1,p2,p3,p4,p5,p6,p7,p8,p9,p10)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellBorderColorCMYK"} ,"__sl__sl__sl__sl__sl__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellBorderWidth(p1,p2,p3,p4,p5,p6,p7)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellBorderWidth"} ,"__sl__sl__sl__sl__sl__sl__sl__sl__f8",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellContent(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellContent"} ,"__sl__sl__sl__sl__sl__pt",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellPadding(p1,p2,p3,p4,p5,p6,p7)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellPadding"} ,"__sl__sl__sl__sl__sl__sl__sl__sl__f8",::_id_,p1,p2,p3,p4,p5,p6,p7)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellTextColor(p1,p2,p3,p4,p5,p6,p7,p8)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellTextColor"} ,"__sl__sl__sl__sl__sl__sl__sl__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7,p8)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellTextColorCMYK(p1,p2,p3,p4,p5,p6,p7,p8,p9)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellTextColorCMYK"} ,"__sl__sl__sl__sl__sl__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4,p5,p6,p7,p8,p9)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableCellTextSize(p1,p2,p3,p4,p5,p6)
return FpQCall( {::_hdll_,"QuickPDFSetTableCellTextSize"} ,"__sl__sl__sl__sl__sl__sl__sl__f8",::_id_,p1,p2,p3,p4,p5,p6)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableColumnWidth(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetTableColumnWidth"} ,"__sl__sl__sl__sl__sl__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTableRowHeight(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetTableRowHeight"} ,"__sl__sl__sl__sl__sl__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTempFile(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetTempFile"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTempPath(p1)                                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetTempPath"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
Method HBPrintPDF:SetTextAlign(xAlign)             // *HB*
   local nReturn
   if xAlign == NIL .or. ! ValType(xAlign) $ "CN"  // Error
      nReturn := 0
   else
      do case
         case ValType(xAlign) == "N"
              // xAlign is ok
         case xAlign == "L"
              xAlign := TEXT_ALIGN_LEFT
         case xAlign == "R"
              xAlign := TEXT_ALIGN_RIGHT
         case xAlign == "C" .or. xAlign == "Z"
              xAlign := TEXT_ALIGN_CENTER
         case xAlign == "B"
              xAlign := TEXT_ALIGN_BLOCK_NORMAL
      end
      nReturn := FpQCall( {::_hdll_,"QuickPDFSetTextAlign"} ,"__sl__sl__sl",::_id_,xAlign)
      if ::IsTrue(nReturn)
         ::nAlign := xAlign
      endif
   endif
return nReturn
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextCharSpacing(p1)
return FpQCall( {::_hdll_,"QuickPDFSetTextCharSpacing"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextColor(p1,p2,p3)     // <-
       ::nOldTextColorRed      := p1         // Save last color for TextPrint()
       ::nOldTextColorGreen    := p2
       ::nOldTextColorBlue     := p3
return FpQCall( {::_hdll_,"QuickPDFSetTextColor"} ,"__sl__sl__f8__f8__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextColorCMYK(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetTextColorCMYK"} ,"__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextColorSep(p1,p2)                                                      // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetTextColorSep"} ,"__sl__sl__pt__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextHighlight(p1)
return FpQCall( {::_hdll_,"QuickPDFSetTextHighlight"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextHighlightColor(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFSetTextHighlightColor"} ,"__sl__sl__f8__f8__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextHighlightColorCMYK(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetTextHighlightColorCMYK"} ,"__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextHighlightColorSep(p1,p2)                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetTextHighlightColorSep"} ,"__sl__sl__pt__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextMode(p1)
return FpQCall( {::_hdll_,"QuickPDFSetTextMode"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextRise(p1)
return FpQCall( {::_hdll_,"QuickPDFSetTextRise"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextScaling(p1)
return FpQCall( {::_hdll_,"QuickPDFSetTextScaling"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextShader(p1)                                                           // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetTextShader"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
Method HBPrintPDF:SetTextSize(nFontSize)                                                      // *HB* return .t. / .f.
   local lOK
   DEFAULT nFontSize TO ::nDefaultStandardFontSize
   lOK := 0 # FpQCall( {::_hdll_,"QuickPDFSetTextSize"} ,"__sl__sl__f8",::_id_,nFontSize)
   ::nLineFeed  := ::GetTextHeight()
return lOK
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextSpacing(p1)
return FpQCall( {::_hdll_,"QuickPDFSetTextSpacing"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextUnderline(p1)
return FpQCall( {::_hdll_,"QuickPDFSetTextUnderline"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextUnderlineColor(p1,p2,p3)
return FpQCall( {::_hdll_,"QuickPDFSetTextUnderlineColor"} ,"__sl__sl__f8__f8__f8",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextUnderlineColorCMYK(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetTextUnderlineColorCMYK"} ,"__sl__sl__f8__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextUnderlineColorSep(p1,p2)                                             // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetTextUnderlineColorSep"} ,"__sl__sl__pt__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextUnderlineDash(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetTextUnderlineDash"} ,"__sl__sl__f8__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTextWordSpacing(p1)
return FpQCall( {::_hdll_,"QuickPDFSetTextWordSpacing"} ,"__sl__sl__f8",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetTransparency(p1)                                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetTransparency"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetupCustomPrinter(p1,p2,p3)                                                // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetupCustomPrinter"} ,"__sl__sl__pt__sl__sl",::_id_,p1,p2,p3)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetViewerPreferences(p1,p2)                                                 // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFSetViewerPreferences"} ,"__sl__sl__sl__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetXFAFormFieldAccess(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetXFAFormFieldAccess"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetXFAFormFieldBorderColor(p1,p2,p3,p4)
return FpQCall( {::_hdll_,"QuickPDFSetXFAFormFieldBorderColor"} ,"__sl__sl__pt__f8__f8__f8",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetXFAFormFieldBorderPresence(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetXFAFormFieldBorderPresence"} ,"__sl__sl__pt__sl",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetXFAFormFieldBorderWidth(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetXFAFormFieldBorderWidth"} ,"__sl__sl__pt__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SetXFAFormFieldValue(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFSetXFAFormFieldValue"} ,"__sl__sl__pt__pt",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SignFile(p1,p2,p3,p4,p5,p6,p7,p8,p9)
return FpQCall( {::_hdll_,"QuickPDFSignFile"} ,"__sl__sl__pt__pt__pt__pt__pt__pt__pt__pt__pt",::_id_,p1,p2,p3,p4,p5,p6,p7,p8,p9)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:SplitPageText(p1)
return FpQCall( {::_hdll_,"QuickPDFSplitPageText"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:StartPath(p1,p2)
return FpQCall( {::_hdll_,"QuickPDFStartPath"} ,"__sl__sl__f8__f8",::_id_,p1,p2)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:StoreCustomDataFromFile(p1,p2,p3,p4)                                        // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFStoreCustomDataFromFile"} ,"__sl__sl__pt__pt__sl__sl",::_id_,p1,p2,p3,p4)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:StoreCustomDataFromString(p1,p2,p3,p4)                                      // *HB* return .t. / .f.
local ptb := _xgrab(48);PokeStr(ptb,,5)
return 0 # ::_ptb_free_(FpQCall({::_hdll_,"QuickPDFStoreCustomDataFromString"},"__sl__sl__pt__pt__sl__sl",::_id_,p1,::_b(p2,ptb,2),p3,p4),ptb)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:StringResultLength()
return FpQCall( {::_hdll_,"QuickPDFStringResultLength"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:TestTempPath()                                                              // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFTestTempPath"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:ToPDFUnicode(p1)
return ::_str_result_(FpQCall( {::_hdll_,"QuickPDFToPDFUnicode"} ,"__pt__sl__pt",::_id_,p1))
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:Unlocked()                                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFUnlocked"} ,"__sl__sl",::_id_)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:UnlockKey(p1)                                                               // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFUnlockKey"} ,"__sl__sl__pt",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:UpdateAppearanceStream(p1)                                                  // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFUpdateAppearanceStream"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:UseKerning(p1)
return FpQCall( {::_hdll_,"QuickPDFUseKerning"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
METHOD HBPrintPDF:UseUnsafeLayers(p1)                                                         // *HB* return .t. / .f.
return 0 # FpQCall( {::_hdll_,"QuickPDFUseUnsafeLayers"} ,"__sl__sl__sl",::_id_,p1)
// -------------------------------------------------------------------------------------------------------------------
// END from TQuickPdf wrapper class
